package gov.va.nvap.privacy;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConsentDirectiveConfigurationRequestType", propOrder = {"frequency", "window", "emailAddresses"})
@XmlRootElement(name = "ConsentDirectiveConfigurationRequest")
public class ConsentDirectiveConfigurationRequest {
	@XmlElement
	protected String frequency;
	@XmlElement
	protected Long window;
	@XmlElement
	protected String emailAddresses;
	
	public ConsentDirectiveConfigurationRequest () {}
	
	public ConsentDirectiveConfigurationRequest (String frequency, Long window, String emailAddresses) {
		this.frequency = frequency;
		this.window = window;
		this.emailAddresses = emailAddresses;
	}
	
	public String getFrequency() {
		return this.frequency;
	}
	
	public Long getWindow() {
		return this.window;
	}
	
	public String getEmailAddresses() {
		return this.emailAddresses;
	}
	
	public void setFrequency(String frequency) {
		this.frequency = frequency;
	}
	
	public void setWindow(Long window) {
		this.window = window;
	}
	
	public void setEmailAddresses(String emailAddresses) {
		this.emailAddresses = emailAddresses;
	}
}