package gov.va.nvap.privacy;

import java.util.Date;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for ConsentDirectiveReferenceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConsentDirectiveReferenceType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="consentDirId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="patientSsn" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="optinDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="optinConsentType" type="{urn:gov:va:nvap:privacy}ConsentType"/>
 *         &lt;element name="facilityName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FacilityOptInConsentType", propOrder = {
    "consentDirId",
    "patientSsn",
    "optinDate",
    "optinConsentType",
    "facilityName"
})
public class FacilityOptInConsentType {

    @XmlElement(required = true)
    protected String consentDirId;
    @XmlElement(required = true)
    protected String patientSsn;
    @XmlElement(required = true, type = String.class)
    @XmlJavaTypeAdapter(DateTimeXmlAdapter.class)
    @XmlSchemaType(name = "date")
    protected Date optinDate;
    @XmlElement(required = true)
    protected ConsentType optinConsentType;
    @XmlElement(required = true)
    protected String facilityName;

    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }

    public String getPatientSsn() {
        return patientSsn;
    }

    public void setPatientSsn(String patientSsn) {
        this.patientSsn = patientSsn;
    }

    /**
     * Gets the value of the consentDirId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsentDirId() {
        return consentDirId;
    }

    /**
     * Sets the value of the consentDirId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsentDirId(String value) {
        this.consentDirId = value;
    }

    /**
     * Gets the value of the optinDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Date getOptinDate() {
        return optinDate;
    }

    /**
     * Sets the value of the optinDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOptinDate(Date value) {
        this.optinDate = value;
    }

    /**
     * Gets the value of the optinConsentType property.
     * 
     * @return
     *     possible object is
     *     {@link ConsentType }
     *     
     */
    public ConsentType getOptinConsentType() {
        return optinConsentType;
    }

    /**
     * Sets the value of the optinConsentType property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConsentType }
     *     
     */
    public void setOptinConsentType(ConsentType value) {
        this.optinConsentType = value;
    }
}
