package gov.va.nvap.server.service.audit;

import gov.va.nvap.service.audit.AuditException;
import gov.va.nvap.service.audit.AuditService;
import gov.va.nvap.service.audit.data.ConsentAudit;
import gov.va.nvap.service.audit.data.UserAccessAudit;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

public class AuditServiceImpl implements AuditService {

	@PersistenceContext()
	private EntityManager entityManager;

	public AuditServiceImpl() {
	}

	@Override
	public void auditConsent(final ConsentAudit consentAudit)
			throws AuditException {
		this.entityManager.persist(consentAudit);

	}

	@Override
	public void auditUserAccess(final UserAccessAudit userAccessAudit)
			throws AuditException {
		this.entityManager.persist(userAccessAudit);
	}

	public void setEntityManager(final EntityManager entityManager) {
		this.entityManager = entityManager;
	}

}
