/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.va.nvap.web.visn;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author darren henderson
 */
@Entity
@Table(name = "VISN")
@NamedQueries({
		@NamedQuery(name = "Visn.findAll", query = "SELECT v FROM Visn v ORDER BY NLSSORT(visnName, 'NLS_SORT=LATIN') ASC") })

public class Visn implements Serializable {
	private static final long serialVersionUID = 1L;
        
	@Id
	@Basic(optional = false)
	@Column(name = "ID")
	private Long id;
        
	@Basic(optional = false)
	@Column(name = "VISN_NUMBER")
	private Long visnNumber;
        
	@Basic(optional = false)
	@Column(name = "VISN_NAME")
	private String visnName;

	public Visn() {
	}

	public Visn(final Long id) {
		this.id = id;
	}

	@Override
	public boolean equals(final Object object) {
		// TODO: Warning - this method won't work in the case the id fields are
		// not set
		if (!(object instanceof Visn)) {
			return false;
		}
		final Visn other = (Visn) object;
		if (((this.id == null) && (other.id != null))
				|| ((this.id != null) && !this.id
						.equals(other.id))) {
			return false;
		}
		return true;
	}

	public Long getVisnNumber() {
		return this.visnNumber;
	}

	public String getVisnName() {
		return this.visnName;
	}

	public Long getId() {
		return this.id;
	}

	@Override
	public int hashCode() {
		int hash = 0;
		hash += (this.id != null ? this.id.hashCode() : 0);
		return hash;
	}

	public void setVisnNumber(final Long visnNumber) {
		this.visnNumber = visnNumber;
	}

	public void setVisnName(final String visnName) {
		this.visnName = visnName;
	}

	public void setId(final Long id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return "gov.va.nvap.web.visn[id=" + this.id + "]";
	}

}
