<%--
    Document   : Patient View C32 View
    Created By : 
    Modified By: 
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
<head>
<title>Veterans Authorization & Preferences Patient Search
	Results</title>
<%@include file="metaCommon.jspf"%>
<script type="text/javascript" src="js/OptionTransfer.js"></script>
<SCRIPT LANGUAGE="JavaScript">
var opt = new OptionTransfer("list1","list2");
opt.setAutoSort(true);
opt.setDelimiter(",");
opt.setStaticOptionRegex(new RegExp("^.*?Defense.*?$","i"));
opt.saveNewLeftOptions("newLeft");
opt.saveNewRightOptions("newRight");
</SCRIPT>

</head>
<body onLoad="opt.init(document.multiSelectListForm)">
	<%@include file="header.jspf"%>
	<table border="0" cellpadding="0" cellspacing="0" width="100%"
		summary="table is used for layout purposes" id="main-content-table">
		<tbody>
			<tr>
				<%@include file="leftMenu.jspf"%>
				<td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
					<p class="title-bar">
						<!-- START: SITE NAME -->
						Consent Management
						<!-- END: SITE NAME -->
					</p> <cpp:errors /> <!-- END: SITE NAME BAR -->
					<table border="0" cellpadding="0" cellspacing="0" width="100%"
						summary="table is used for layout purposes">
						<tbody>
							<tr>
								<td id="content-main">
									<!-- START: PAGE TITLE AREA --> <!-- END: PAGE TITLE AREA --> <!-- START: PAGE CONTENT -->

									<table SUMMARY="This table is for formatting purposes only.">
										<tbody>
											<tr>
												<td>
													<div id="slidetabsmenu">
														<ul>
															<li><a alt="Patient Summary" href="PatientDetails.do_sec"
																title="Patient Summary"><span>Patient Summary</span>
															</a>
															</li>
															<li><a
																alt="View Health Summary (C32)" href="PatientDetails.do_sec?view=true"
																title="View Health Summary (C32)"><span>Health
																		Summary (C32)</span> </a>
															</li>
															<li id="current"><a
																alt="Manage Consent" href="ConsentManagement.do_sec"
																title="Manage Consent"><span>Manage Consent</span> </a>
															</li>
														</ul>
														<c:if test="${!empty patients}">
															<a style="float: right; background-color: white"
																alt="Back to Patient Search Results" href="PatientSearchResults.do_sec">Back to Patient Search
																Results</a>
														</c:if>
													</div>
												</td>
											</tr>
											<tr>
												<td>
												</td>
											</tr>
										</tbody>
									</table> <!-- THE BODY CONTENT END -->
								</td>
							</tr>
						</tbody>
					</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%>
					<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
				</td>
			</tr>
		</tbody>
	</table>
</body>
</html>

