<%--
    Document   : Disclosure Summary Report
--%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
        <head>
        <title>Veterans Authorization & Preferences Disclosures Report Results</title>
        <%@include file="metaCommon.jspf" %>
        </head>
<body>
<%@include file="header.jspf" %>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
    	<tr>
			<%@include file="leftMenu.jspf" %>
            <td id="content-va">
                <a name="content-area"></a>
                <!-- START: SITE NAME BAR -->
                <p class="title-bar"><!-- START: SITE NAME -->Disclosures Summary Report<!-- END: SITE NAME --></p>
                <cpp:errors />
                <!-- END: SITE NAME BAR -->
                <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                    <tbody>
                        <tr>
                            <td id="content-main">
                            	<table width="100%" summary="This table is used for layout purposes">
                                  <!-- START: PAGE TITLE AREA -->
                                  <!-- END: PAGE TITLE AREA -->
    	                          <tr>
	    		                      <td>
                			            <!-- START: PAGE CONTENT -->
                                        <table SUMMARY="This table is for formatting purposes only.">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <table id="ver-minimalist">
                                                            <tbody>
                                                                <!-- uncomment the below and corresponding java method to re-enable excel exporting -->
                                                                <tr>
                                                                        <a href="DisclosureSummaryReportResults.do_sec?exportToExcel=true">
                                                                        <input name="exportToExcel" alt="Export to Excel" class="button" type="submit"
                                                                            value="Export to Excel" /></a>
                                                                </tr>
                                                                <tr>
                                                                    <td>Start Date</td>
                                                                    <td><c:choose>
                                                                            <c:when test="${!empty disclosureSummaryQueryStartDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                    value="${disclosureSummaryQueryStartDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                    N/A
                                                                                </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td>End Date</td>
                                                                    <td><c:choose>
                                                                            <c:when test="${!empty disclosureSummaryQueryEndDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                    value="${disclosureSummaryQueryEndDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                    N/A
                                                                                </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                            </tbody>
                                                        </table>
                                                        <c:choose>
                                                            <c:when test="${!empty disclosureSummaryResults}">
                                                                <br/> 
                                                                <table>
                                                                    <thead>
                                                                        <tr id="hor-minimalist-c">
                                                                            <c:choose>
                                                                                <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                    <th scope="col">${organizationName} Organization</th>
                                                                                    <th scope="col">VA Facility</th>
                                                                                </c:when>
                                                                                <c:otherwise> 
                                                                                    <th scope="col">Direct Endpoint</th>
                                                                                </c:otherwise>
                                                                            </c:choose>	
                                                                            <th scope="col">Total</th>
                                                                        </tr>
                                                                        <tr id="hor-minimalist-c">
										<td scope="col"><a href="DisclosureSummaryReportResults.do_sec?disclosureSummarySortValue=partnerOrg&disclosureSummarySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DisclosureSummaryReportResults.do_sec?disclosureSummarySortValue=partnerOrg&disclosureSummarySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
										<c:choose>
                                                                                    <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                        <td scope="col"><a href="DisclosureSummaryReportResults.do_sec?disclosureSummarySortValue=vaFacility&disclosureSummarySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DisclosureSummaryReportResults.do_sec?disclosureSummarySortValue=vaFacility&disclosureSummarySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>                                                                        	
                                                                                    </c:when>
                                                                                </c:choose>	
                                                                                <td scope="col"><a href="DisclosureSummaryReportResults.do_sec?disclosureSummarySortValue=total&disclosureSummarySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DisclosureSummaryReportResults.do_sec?disclosureSummarySortValue=total&disclosureSummarySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                    	</tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        <pg:forEach var="r" items="${disclosureSummaryResults}" varStatus="i"
                                                                            paginator="${paginator}">
                                                                            <tr id="hor-minimalist-b">
                                                                                <td>${r.partnerOrg}</td>
                                                                                <c:choose>
                                                                                    <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                        <td>${r.vaFacility}</td>
                                                                                    </c:when>
                                                                                 </c:choose>	
                                                                                <td>${r.count}</td>
                                                                            </tr>
                                                                        </pg:forEach>
                                                                    </tbody>
                                                                </table>
                                                            </c:when>
                                                            <c:otherwise>
                                                                    No records were found.
                                                                </c:otherwise>
                                                        </c:choose>
                                                        <table>
                                                        <c:if test="${!empty disclosureSummaryTotalCount && !empty disclosureSummaryResults}">
                                                                    <tr>
                                                                        <td>
                                                                            <b>Grand Total:</b>
                                                                        </td>
                                                                        <td>
                                                                            ${disclosureSummaryTotalCount}
                                                                        </td>
                                                                    </tr>
                                                            </c:if>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <!-- THE BODY CONTENT END -->
                                       </td>
                                 	</tr>
								</table>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <!-- START: PAGE FOOTER -->
                <%@include file="footer.jspf" %>
                <!-- END: PAGE FOOTER -->
                <!-- END: PAGE CONTENT -->
            </td>
        </tr>
    </tbody>
</table>
</body>
</html>