﻿<%--
    Document   : Document Disclosure Report
    Created By : 
    Modified By: 
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
<head>
<title>Veterans Authorization & Preferences Accounting of
	Disclosures Report</title>
<%@include file="metaCommon.jspf"%>
</head>
<body>
	<%@include file="header.jspf"%>
    <%@include file="patientLinkForm.jspf"%>
	<table border="0" cellpadding="0" cellspacing="0" width="100%"
		summary="table is used for layout purposes" id="main-content-table">
		<tbody>
			<tr>
				<%@include file="leftMenu.jspf"%>
				<td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
					<p class="title-bar">
						<!-- START: SITE NAME -->
						Accounting of Disclosures Report
						<!-- END: SITE NAME -->
					</p> <cpp:errors /> <!-- END: SITE NAME BAR -->
					<table border="0" cellpadding="0" cellspacing="0" width="100%"
						summary="table is used for layout purposes">
						<tbody>
							<tr>
								<td id="content-main">
									<!-- START: PAGE TITLE AREA --> <!-- END: PAGE TITLE AREA --> <!-- START: PAGE CONTENT -->
									<table SUMMARY="This table is for formatting purposes only.">
										<tbody>
											<tr>
                                                                                            <td>
                                                                                                <table id="ver-minimalist">
                                                                                                    <tbody>
                                                                                                        <!-- uncomment the below and corresponding java method to re-enable excel exporting -->
                                                                                                            <td> <a href="DocumentDisclosureReportResults.do_sec?exportToExcel=true">
                                                                                                                <input name="exportToExcel" id="exportToExcel" alt="Export to Excel" class="button" type="submit"
                                                                                                                    value="Export to Excel" onclick="flashWarning();"/></a> </td>
                                                                                                            <tr>
                                                                                                                <td>Patient ID (ICN)</td>
                                                                                                                <td>
                                                                                                                    <c:choose>
                                                                                                                        <c:when test="${!empty documentDisclosureQueryICN}">
                                                                                                                            ${documentDisclosureQueryICN}
                                                                                                                        </c:when>
                                                                                                                        <c:otherwise>
                                                                                                                            ALL
                                                                                                                        </c:otherwise>
                                                                                                                    </c:choose>
                                                                                                                </td>
                                                                                                                <td>Start Date</td>
                                                                                                                <td>
                                                                                                                    <c:choose>
                                                                                                                        <c:when
                                                                                                                                test="${!empty documentDisclosureQueryStartDate}">
                                                                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                                                                        value="${documentDisclosureQueryStartDate}" />
                                                                                                                        </c:when>
                                                                                                                        <c:otherwise>
                                                                                                                            N/A
                                                                                                                        </c:otherwise>
                                                                                                                    </c:choose>
                                                                                                                </td>
                                                                                                                <td>End Date</td>
                                                                                                                <td>
                                                                                                                    <c:choose>
                                                                                                                        <c:when
                                                                                                                                test="${!empty documentDisclosureQueryEndDate}">
                                                                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                                                                        value="${documentDisclosureQueryEndDate}" />
                                                                                                                        </c:when>
                                                                                                                        <c:otherwise>
                                                                                                                            N/A
                                                                                                                        </c:otherwise>
                                                                                                                    </c:choose>
                                                                                                                </td>
                                                                                                            </tr>
                                                                                                    </tbody>
                                                                                                </table>
                                                                                            </td>
											</tr>
											<tr>
												<td><c:choose>
														<c:when test="${!empty documentDisclosureResults}">
															<br />
															<pg:paginator paginator="${paginator}"
																uri="DocumentDisclosureReportResults.do_sec"
																results="${documentDisclosureResults}" />
                                                            <table width="100%">
																<thead>
																	<tr id="hor-minimalist-c">
																		<th scope="col">SSN</th>
																		<th scope="col">Patient Last Name</th>
																		<th scope="col">Patient First Name</th>
																		<th scope="col">Date of Disclosures</th>
																		<th scope="col">Disclosures</th>
																		
																		<c:choose>
                                                                                                                                                    <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                                                                                        <th scope="col">VA Facility</th>
                                                                                                                                                        <th scope="col">${organizationName} Organization</th>
                                                                                                                                                        <!--<th scope="col">Assigning Authority</th>-->
                                                                                                                                                    </c:when>
                                                                                                                                                    <c:otherwise> 
                                                                                                                                                        <th scope="col">Direct Address</th>
                                                                                                                                                    </c:otherwise>
                                                                                                                                                </c:choose>	
                                                                                                                                                
																		
																		<th scope="col">User ID</th>
																		<th scope="col">Purpose of Use</th>
                                                                                                                                                <c:choose>
                                                                                                                                                    <c:when test="${documentDisclosureSource eq 'exchange'}">
																			<th scope="col">View</th>
                                                                                                                                                    </c:when>
                                                                                                                                                </c:choose>	
																	</tr>
																	<tr id="hor-minimalist-c">
																		<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientSSN&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientSSN&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
																		<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientLastName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientLastName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0" border="0"/></a></td>
																		<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientGivenName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientGivenName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0" border="0"/></a></td>
																		<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=auditTime&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=auditTime&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
																		<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=documentTitle&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=documentTitle&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
																		<c:choose>
                                                                                                                                                    <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                                                                                              <td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                                                                                              <td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                                                                                              <!--<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationId&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationId&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>-->
                                                                                                                                                    </c:when>
                                                                                                                                                    <c:otherwise>
                                                                                                                                                              <td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                                                                                    </c:otherwise>
                                                                                                                                                </c:choose>
																		<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=userId&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=userId&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
																		<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=purposeForUse&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=purposeForUse&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                                                                                 <c:choose>
                                                                                                                                                    <c:when test="${documentDisclosureSource eq 'exchange'}">
																			<td scope="col"> </td>
                                                                                                                                                    </c:when>
                                                                                                                                                </c:choose>	
																	</tr>
																</thead>
																<tbody>
																	<c:set var="countDisplayPatient" value="0" scope="page" />
																	<pg:forEach var="r"
																		items="${documentDisclosureResults}" varStatus="i"
																		paginator="${paginator}">
                                                                                                                    <c:if test="${(i.count <= paginator.recordsPerPage || paginator.recordsPerPage < 0)&& r.ssnMasked != ''}">
																		<tr id="hor-minimalist-b">
																			<td nowrap><%@include file="patientLink.jspf"%></td>
																			<td>${r.lastName}</td>
																			<td>${r.firstName}</td>
																			<td><fmt:formatDate pattern="MM/dd/yyyy hh:mm a"
																					value="${r.auditTime}" />
																			</td>
																			<c:choose>
																				<c:when test="${!empty r.disclosureTitle}">
																					<td>${r.disclosureTitle}</td>
																				</c:when>
																				<c:otherwise>
																					<td>Title not available</td>
																				</c:otherwise>
																			</c:choose>
																			<c:choose>
                                                                                                                                                             <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                                                                                                <td>${r.patientFacilityName}</td>
                                                                                                                                                                <td>${r.organizationName}</td>
                                                                                                                                                                <!--<td>${r.organizationId}</td>-->
                                                                                                                                                            </c:when>
                                                                                                                                                            <c:otherwise>
                                                                                                                                                                 <td>${r.organizationName}</td>
                                                                                                                                                            </c:otherwise>
                                                                                                                                                         </c:choose>
                                                                                  
																			<td>${r.userId}</td>
																			<td>${r.purposeForUse}</td>
																			<c:url var="url" value="DocumentDisclosureReportResults.do_sec">
																				<c:param name="view" value="true" />
																				<c:param name="icn" value="${r.patientICN}" />
																				<c:param name="documentUniqueId"
																					value="${r.documentId}" />
																			</c:url>
                                                                                                                                                        <c:choose>
                                                                                                                                                             <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                                                                                                <td><a alt="View" href="${url}">View</a></td>
                                                                                                                                                            </c:when>
                                                                                                                                                         </c:choose>	
																			
																		</tr>
																		<c:set var="countDisplayPatient" value="${countDisplayPatient + 1}" scope="page"/>
                                                                        </c:if>
																	</pg:forEach>
                                                                    <c:if test="${paginator.recordsPerPage == totalTestPatients && countDisplayPatient == 0}">
                                                                        All records were excluded from this page.
                                                                    </c:if>
																</tbody>
															</table>
															<pg:paginator paginator="${paginator}"
																uri="DocumentDisclosureReportResults.do_sec"
																results="${documentDisclosureResults}" />
														</c:when>
														<c:otherwise>
                                                            No records were found.
                                                        </c:otherwise>
													</c:choose>
												</td>
											</tr>
										</tbody>
									</table> <!-- THE BODY CONTENT END -->
								</td>
							</tr>
						</tbody>
					</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%>
					<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
				</td>
			</tr>
		</tbody>
	</table>
</body>
<%@include file="slideoutWarning.jspf" %>
</html>