<%--
    Document   : Batch Announcements Upload
    Created By : Nusrath Mohammed
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>
<%@taglib tagdir="/WEB-INF/tags/date" prefix="date"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
<head>
<title>Veterans Authorization & Preferences Batch Announcements Upload</title>
<SCRIPT LANGUAGE="JavaScript">

function checkfile(sender) {
    var validExts = new Array(".xlsx", ".xls", ".csv");
    var fileExt = sender.value;
    fileExt = fileExt.substring(fileExt.lastIndexOf('.'));
    if (validExts.indexOf(fileExt) < 0) {
      alert("Invalid file selected, valid files are of " +
               validExts.toString() + " types.");
      document.getElementById("next").disabled = true;
      return false;
    }
    else {
    document.getElementById("next").disabled = false;
    return true;
    } 
    
    
}

function checkFilled() {
var filled = 0
var x = document.batchAnnouncementsUploadForm.fileName.value;
x = x.replace(/^\s+/,"");  // strip leading spaces
if (x.length > 0) {filled ++}

if (filled == 1) {
document.getElementById("next").disabled = false;
}
else {document.getElementById("next").disabled = true}  // in case a field is filled then erased

}


</SCRIPT>
<%@include file="metaCommon.jspf"%>
</head>
<body onload="setFocus(batchAnnouncementsUploadForm.fileName)">
	<%@include file="header.jspf"%>
	<table border="0" cellpadding="0" cellspacing="0" width="100%"
		summary="table is used for layout purposes" id="main-content-table">
		<tbody>
			<tr>
				<%@include file="leftMenu.jspf"%>
				<td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
					<p class="title-bar">
						<!-- START: SITE NAME -->
						Upload Batches
						<!-- END: SITE NAME -->
					</p> <cpp:errors /> <!-- END: SITE NAME BAR -->
					<table border="0" cellpadding="0" cellspacing="0" width="100%"
						summary="table is used for layout purposes">
						<tbody>
							<tr>
								<td id="content-main">
									<table width="100%"
										summary="This table is used for layout purposes">
										<!-- START: PAGE TITLE AREA -->
										<!-- END: PAGE TITLE AREA -->
										<tr>
											<td>
												<!-- START: PAGE CONTENT -->
												<table SUMMARY="This table is for formatting purposes only.">
													<tbody>
														
														<tr>
															<td>
																<div class="form-container">
																	<form name="batchAnnouncementsUploadForm"
																		action="BatchAnnouncementsUpload.do_sec" method="POST"
																		onsubmit="return doSubmit(this)">
																		<fieldset>
																			<legend>Upload Details</legend>
																			<div>
																				<label for="fileName">File Name</label>
																				<input type="file" id="fileName" name="fileName" size="60" onchange="checkfile(this);"/>
																				&nbsp;
																			</div>
																			
																			<div class="buttonrow">
																				<input name="next" id="next" alt="Next" class="button" type="submit" disabled="disabled"
																					value="Next" />
																			</div>
																		</fieldset>
																	</form>
																</div>
															</td>
														</tr>
													</tbody>
												</table> <!-- THE BODY CONTENT END -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</tbody>
					</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%>
					<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
				</td>
			</tr>
		</tbody>
	</table>
</body>
</html>
