﻿<%--
    Document   : Inbound Document Report
    Created By : 
    Modified By: 
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
        <head>
        <%@include file="metaCommon.jspf" %>
        <title>Veterans Authorization & Preferences Received ${organizationName} Documents Report Results</title>
        </head>
<body>
<%@include file="header.jspf" %>
<%@include file="patientLinkForm.jspf"%>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
    	<tr>
			<%@include file="leftMenu.jspf" %>
            <td id="content-va">
                <a name="content-area"></a>
                <!-- START: SITE NAME BAR -->
                <p class="title-bar"><!-- START: SITE NAME -->Received ${organizationName} Documents Report<!-- END: SITE NAME --></p>
                <cpp:errors />
                <!-- END: SITE NAME BAR -->
                <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                    <tbody>
                        <tr>
                            <td id="content-main">
                            	<table width="100%" summary="This table is used for layout purposes">
                                  <!-- START: PAGE TITLE AREA -->
                                  <!-- END: PAGE TITLE AREA -->
    	                          <tr>
	    		                      <td>
                			            <!-- START: PAGE CONTENT -->
                                        <table SUMMARY="This table is for formatting purposes only.">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <table id="ver-minimalist">
                                                            <tbody>
                                                                <tr><!-- uncomment the below and corresponding java method to re-enable excel exporting -->
                                                                	<td> <a href="InboundDocumentReportResults.do_sec?exportToExcel=true">
                                                                                <input name="exportToExcel" alt="Export to Excel" class="button" type="submit" 
                                                                                       value="Export to Excel" onclick="flashWarning();"/></a></td>
                                                                </tr>
                                                                <tr>    
                                                                    <td>Patient ID (ICN)</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when test="${!empty inboundDocumentQueryICN}">
                                                                                ${inboundDocumentQueryICN}
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                ALL
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td>Start Date</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when test="${!empty inboundDocumentQueryStartDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy" value="${inboundDocumentQueryStartDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td>End Date</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when test="${!empty inboundDocumentQueryEndDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy" value="${inboundDocumentQueryEndDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                        <c:choose>
                                                            <c:when test="${!empty inboundDocumentResults}">
                                                            	<br/>
                                                                <pg:paginator paginator="${paginator}" uri="InboundDocumentReportResults.do_sec" results="${inboundDocumentResults}" />
                                                               <table width="100%">
                                                                    <thead>
                                                                        <tr id="hor-minimalist-c">
                                                                            <th scope="col">SSN</th>
                                                                            <th scope="col">Patient Last Name</th>
                                                                            <th scope="col">Patient First Name</th>
                                                                            <th scope="col">Date Received</th>
                                                                            <th scope="col">Document Title</th>
                                                                            <th scope="col">VA Facility</th>
                                                                            <th scope="col">${organizationName} Organization</th>
                                                                            <!--<th scope="col">Assigning Authority</th>-->
                                                                            <th scope="col">User ID</th>
                                                                            <th scope="col">Purpose of Use</th>
                                                                            <th scope="col">View</th>
                                                                        </tr>
                                                                        <tr id="hor-minimalist-c"  width="1500px">
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=auditTime&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=auditTime&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=documentTitle&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=documentTitle&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<!--<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationId&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationId&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>-->
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=purposeForUse&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=purposeForUse&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a> </a></td>	
                                                                        </tr>
                                                                    </thead>    
                                                                    <tbody>
                                                                        <c:set var="countDisplayPatient" value="0" scope="page" />
                                                                        <pg:forEach var="r" items="${inboundDocumentResults}" varStatus="i" paginator="${paginator}">
                                                                            <c:if test="${(i.count <= paginator.recordsPerPage || paginator.recordsPerPage < 0)&&  r.ssnMasked != ''}">
                                                                                <tr id="hor-minimalist-b">
                                                                                    <td nowrap><%@include file="patientLink.jspf"%></td>
                                                                                    <td>${r.lastName}</td>
                                                                                    <td>${r.firstName}</td>
                                                                                    <td>
                                                                                        <fmt:formatDate pattern="MM/dd/yyyy hh:mm a" value="${r.auditTime}" />
                                                                                    </td>
                                                                                    <c:choose>
                                                                                        <c:when test="${!empty r.documentTitle}">
                                                                                            <td>${r.documentTitle}</td>
                                                                                        </c:when>
                                                                                        <c:otherwise>
                                                                                            <td>Title not available</td>
                                                                                        </c:otherwise>
                                                                                    </c:choose>
                                                                                    <td>${r.patientFacilityName}</td>
                                                                                    <td>${r.remoteOrganizationName}</td>
                                                                                    <!--<td>${r.remoteOrganizationId}</td>-->
                                                                                    <td>${r.userId}</td>
                                                                                    <td>${r.purposeForUse}</td>
                                                                                    <c:url var="url" value="InboundDocumentReportResults.do_sec">
                                                                                        <c:param name="view" value="true" />
                                                                                        <c:param name="icn" value="${r.patientICN}" />
                                                                                        <c:param name="documentUniqueId" value="${r.documentId}" />
                                                                                    </c:url>
                                                                                    <td><a alt="View" href="${url}">View</a></td>
                                                                                </tr>
                                                                                <c:set var="countDisplayPatient" value="${countDisplayPatient + 1}" scope="page"/>
                                                                            </c:if>
                                                                        </pg:forEach>
                                                                        <c:if test="${paginator.recordsPerPage == totalTestPatients && countDisplayPatient == 0}">
                                                                            All records were excluded from this page.
                                                                        </c:if>
                                                                    </tbody>
                                                                </table>
                                                                <pg:paginator paginator="${paginator}" uri="InboundDocumentReportResults.do_sec" results="${inboundDocumentResults}" />
                                                            </c:when>
                                                            <c:otherwise>
                                                                No records were found.
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <!-- THE BODY CONTENT END -->
                                       </td>
                                 	</tr>
								</table>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <!-- START: PAGE FOOTER -->
                <%@include file="footer.jspf" %>
                <!-- END: PAGE FOOTER -->
                <!-- END: PAGE CONTENT -->
            </td>
        </tr>
    </tbody>
</table>
</body>
<%@include file="slideoutWarning.jspf" %>
</html>