<%--
Login page. The entry point to the VAP web application.

Author: Asha Amritraj
--%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@page session="false" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
<head>
<title>Veterans Authorizations and Preferences Login</title>
<%@include file="metaCommon.jspf" %>
</head>
<body onload="setFocus(loginForm.username)">
<%@include file="header.jspf" %>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
  <tbody>
    <tr>
      <%@include file="leftMenu.jspf" %>
      <td id="content-va"><a name="content-area"></a>

        <!-- START: SITE NAME BAR -->

        <p class="title-bar"><!-- START: SITE NAME -->Login<!-- END: SITE NAME --></p>

        <!-- END: SITE NAME BAR -->

        <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
          <tbody>
            <tr>
              <td id="content-main"><table width="100%" summary="This table is used for layout purposes">
                  <tr>
                    <td><!-- START: PAGE TITLE AREA -->
                      <!-- END: PAGE TITLE AREA -->

                      <!-- START: PAGE CONTENT -->
                      <cpp:errors />
                      <table SUMMARY="This table is for formatting purposes only.">
                        <tr>
                          <td id="content-page-content-title" width="100%"><font id="content-page-title-font">Enter username and password and click Login.</font></td>
                        </tr>
                        <tr>
                          <td><div class="form-container">
                              <form name="loginForm" action="Login.do" method="POST" onsubmit="return doSubmit(this)">
                                <fieldset>
                                  <legend>Login Details</legend>
                                  <div>
                                    <label for="username">Username<img alt="Required field" src="res/star-icon_white_bg.png"/></label>
                                    <input alt="Input Username Required field " id="username" type="text" name="username" value="" size="30"/>
                                  </div>
                                  <div>
                                    <label for="password">Password<img alt="Required field" src="res/star-icon_white_bg.png"/></label>
                                    <input alt="Input password Required field"id="password" type="password" name="password" value="" size="30"/>
                                  </div>
                                </fieldset>
                                <div class="buttonrow">
                                  <input name="login" type="submit" value="Login" alt="Login" class="button" />
                                </div>
                              </form>
                            </div></td>
                        </tr>
                        <tr>
                        	<td align="center"><p>&nbsp;</p><b>**WARNING**WARNING**WARNING**WARNING**WARNING**WARNING**</b></td>
                        </tr>
                        <tr>
                          <td align="left"><p style="text-align: justify">
                              "This system is intended to be used by [authorized VA network users] for viewing and retrieving information only except as otherwise explicitly authorized. VA information resides on and transmits through computer systems and networks funded by VA; all use is considered to be understanding and acceptance that there is no reasonable expectation of privacy for any data or transmissions on Government Intranet or Extranet (non-public) networks or systems. All transactions that occur on this system and all data transmitted through this system are subject to review and action including (but not limited to) monitoring, recording, retrieving, copying, auditing, inspecting, investigating, restricting access, blocking, tracking, disclosing to authorized personnel, or any other authorized actions by all authorized VA and law enforcement personnel. All use of this system constitutes understanding and unconditional acceptance of these terms.</p>
                              <p style="text-align: justify">Unauthorized attempts or acts to either (1) access, upload, change, or delete information on this system, (2) modify this system, (3) deny access to this system, or (4) accrue resources for unauthorized use on this system are strictly prohibited. Such attempts or acts are subject to action that may result in criminal, civil, or administrative penalties."</p>
                              </td>
                        </tr>
                        <tr>
                        	<td align="center"><b>**WARNING**WARNING**WARNING**WARNING**WARNING**WARNING**</b></td>
                        </tr>
                        <br \>
                        <tr>
                        	<td align="left"> Need Help?  Va Helpdesk Support: 1-888-596-4357</td>
                        </tr>
                        <br \>
                        <tr>
                        	<td>The Current Version of VAP is: ${systemVersion}</td>
                        </tr>
                      </table>
                      <!-- END: PAGE CONTENT --></td>
                  </tr>
                </table></td>
            </tr>
          </tbody>
        </table>

        <!-- START: PAGE FOOTER -->

        <%@include file="footer.jspf" %>

        <!-- END: PAGE FOOTER -->
        </td>
    </tr>
  </tbody>
</table>
</body>
</html>
