<%--
    Document   : Patient View C32 View
    Created By : 
    Modified By: 
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
<head>
<title>Veterans Authorization & Preferences Patient Search
	Results</title>
<link rel="stylesheet" type="text/css" href="css/xmlverbatim.css" />
<link rel="stylesheet" type="text/css" href="css/cda.css" />
<link rel="stylesheet" type="text/css" href="css/adapter.css" />
<link rel="stylesheet" type="text/css" href="css/custom_cda.css" />
<%@include file="metaCommon.jspf"%>
</head>
<body>
	<%@include file="header.jspf"%>
	<table border="0" cellpadding="0" cellspacing="0" width="100%"
		summary="table is used for layout purposes" id="main-content-table">
		<tbody>
			<tr>
				<%@include file="leftMenu.jspf"%>
				<td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
					<p class="title-bar">
						<!-- START: SITE NAME -->
						Patient Health Summary
						<!-- END: SITE NAME -->
					</p> <cpp:errors /> <!-- END: SITE NAME BAR -->
					<table border="0" cellpadding="0" cellspacing="0" width="100%"
						summary="table is used for layout purposes">
						<tbody>
							<tr>
								<td id="content-main">
									<!-- START: PAGE TITLE AREA --> <!-- END: PAGE TITLE AREA --> <!-- START: PAGE CONTENT -->

									<table SUMMARY="This table is for formatting purposes only.">
										<tbody>
											<tr>
												<td>
													<div id="slidetabsmenu">
														<ul>
															<li><a alt="Patient Summary" href="PatientDetails.do_sec"
																title="Patient Summary"><span>Patient Summary</span>
															</a></li>
															<li id="current"><a
																alt="View Health Summary (C32)" href="PatientDetails.do_sec?view=true"
																title="View Health Summary (C32)"><span>Health
																		Summary (C32)</span> </a></li>
														</ul>
														<a style="float: right; background-color: white"
															alt="Back to Patient Details Page" onClick="history.go(-1)">Back to Patient Details Page</a>
													</div></td>
											</tr>
											<tr>
												<td><table>
														<tr>
															<td><cpp:userInRole role="VAPApplicationTester">
																<c:if test="${isXmlViewEnabled}">
																	<a alt="View Document"
																		href="PatientDetails.do_sec?view=true"><img
																			src="res/xsl.jpg" alt="View Document" border="0" /></a>
																	<a alt="View XML"
																	href="PatientDetails.do_sec?view=true&styleSheetViewType=xml"><img
																		src="res/xmlicon.gif" alt="View XML" border="0" /></a>
																</c:if></cpp:userInRole>
																<a alt="Print Document" href="javascript:window.print()"><img
																	src="res/document-print.png" alt="Print Document" border="0" />
															</a>
															</td>
														</tr>
														<tr>
															<td>${updatedDocument}</td>
														</tr>
													</table></td>
											</tr>
										</tbody>
									</table> <!-- THE BODY CONTENT END --></td>
							</tr>
						</tbody>
					</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%>
					<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT --></td>
			</tr>
		</tbody>
	</table>
</body>
</html>

