<%--
    Document   : Patient Details
    Created By :
    Modified By: 
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">

<!--
    Most Recent Patient Activity
    Facility Number: ${patientDemographics.facilityNumber}
    Facility Name: ${patientDemographics.facilityName}
    Date of Activity: <c:choose><c:when test="${!empty patientDemographics.correlationDate}">${patientDemographics.correlationDate}</c:when><c:otherwise>N/A</c:otherwise></c:choose>
    <%--Date of Activity: <c:choose><c:when test="${!empty patientDemographics.correlationDate}"><fmt:formatDate pattern="MM/dd/yyyy" value="${patientDemographics.correlationDate}" /></c:when><c:otherwise>N/A</c:otherwise></c:choose>--%>
    -->

<html lang="en">
<head>
<script type="text/javascript" src="js/OptionTransfer.js"></script>

<title>Veterans Authorization & Preferences Patient Details</title>
<%@include file="metaCommon.jspf"%>
<script type="text/javascript" src="modalbox/prototype.js"></script>
<script type="text/javascript"
	src="modalbox/scriptaculous.js?load=builder,effects"></script>
<script type="text/javascript" src="modalbox/modalbox.js"></script>
<link rel="stylesheet" href="modalbox/modalbox.css" type="text/css"
	media="screen" />

<SCRIPT LANGUAGE="JavaScript">
	var bDocReady = false;
	var opt = new OptionTransfer("list1", "list2");
	opt.setAutoSort(false);
	opt.setDelimiter(",");
	opt.setStaticOptionRegex(new RegExp("^.*?Defense.*?$","i"));
	opt.saveNewLeftOptions("newLeft");
	opt.saveNewRightOptions("newRight");        
</SCRIPT>
<script language="JavaScript"> 
    function toggleConsents() {
        sessionStorage.setItem('consentsVisibility', toggle('trConsents', 'btnConsents'));
    }
    function toggleCorrelations() {
        sessionStorage.setItem('correlationsVisibility', toggle('trCorrelations', 'btnCorrelations'));
    }
    function toggle(sectionId, buttonId) {
        var section = document.getElementById(sectionId);
        var button = document.getElementById(buttonId);
        var visibility = section.style.visibility === 'collapse' ? 'visible' : 'collapse';
        updateSection(section, button, visibility);
        return visibility;
    }
    function updateSection(section, button, visibility) {
        section.style.visibility = visibility;
        button.value = visibility === 'visible' ? '-' : '+';
        button.title = (visibility === 'visible' ? 'Collapse' : 'Expand') + ' this section';
    }
    function makeDocReady() {
        bDocReady = true;
        var consentsVisibility = sessionStorage.getItem('consentsVisibility');
        if (consentsVisibility !== null) {
            updateSection(document.getElementById('trConsents'), document.getElementById('btnConsents'), consentsVisibility);
        }
        var correlationsVisibility = sessionStorage.getItem('correlationsVisibility');
        if (correlationsVisibility !== null) {
            updateSection(document.getElementById('trCorrelations'), document.getElementById('btnCorrelations'), correlationsVisibility);
        }
    }
	function checkReadyState() {
		if (bDocReady){
			bDocReady = false;
			return true;
		}else {
			return false;
		}
		/*if (navigator.appName.indexOf('Microsoft Internet Explorer') != -1) {
			if (document.readyState === 'complete') {
				return true;
			} else {
				return false;
			}
		} else {
			if (bDocReady){
				bDocReady = false;
				return true;
			}else {
				return false;
			}
		}*/
	}
	function sleep(milliseconds) {
	  var start = new Date().getTime();
	  for (var i = 0; i < 1e7; i++) {
	    if ((new Date().getTime() - start) > milliseconds){
	      break;
	    }
	  }
	}
	function formShow(id) {
		var elmt = document.getElementById(id);
		if (elmt != null) {
			elmt.style.display = "block";
		}
	}
	function formHide(id) {
		var elmt = document.getElementById(id);
		if (elmt != null) {
			elmt.style.display = "none";
		}
	}
	function enableObjectByCheck(obj, arg) {
		var elmt = document.getElementById(arg);
		if (elmt != null) {
			if (obj.checked == true) {
				elmt.disabled = false;
			} else {
				elmt.disabled = true;
			}
		}
	}
	function deCheckObject(obj) {
		var elmt = document.getElementById(obj);
		if (elmt != null) {
			elmt.checked = false;
		}
	}

	function enableObject(arg) {
		var elmt = document.getElementById(arg);
		if (elmt != null) {
			elmt.disabled = false;
		}
	}
	function disableObject(arg) {
		var elmt = document.getElementById(arg);
		if (elmt != null) {
			elmt.disabled = true;
		}
	}
	function onRevoke() {
		var elmt = document.getElementById('reason');
		if (elmt != null) {

			if (elmt.value != 'Revoked' && elmt.value != 'New Authorization') {
				var signatureDate = document.getElementById('signatureDate');
				var currentDate = new Date();
				signatureDate.value = currentDate.getMonth() + 1 + "/"
						+ currentDate.getDate() + "/"
						+ currentDate.getFullYear();
			}
			if (elmt.value != 'Patient Deceased') {
				var deceasedDate = document.getElementById('deceasedDate');
				var currentDate = new Date();
				deceasedDate.value = currentDate.getMonth() + 1 + "/"
						+ currentDate.getDate() + "/"
						+ currentDate.getFullYear();
			}
		}
	}
	function enableAllElements() {
		enableObject('signatureDate');
		enableObject('file');
		enableObject('deceasedDate');
	}
	function onOptoutReasonChange(selectedItem) {
		// if selectedItem.value is --Select a reason-- then disable revoke
		// if selectedItem.value is Patient-optedout or --Select a reason-- then disable revoke and enable checkbox
		// if selectedItem.value is anything other than patient-opted-out then enable revoke
		if (selectedItem.value == '') {
			disableObject('Revoke');
			disableObject('revokeValidationCheckBoxInput');
			disableObject('newValidationCheckBoxInput');
			disableObject('signatureDate');
			disableObject('file');
			disableObject('deceasedDate');
			disableObject('revokeAndAuthorize');
			deCheckObject('revokeValidationCheckBoxInput');
			deCheckObject('newValidationCheckBoxInput');
			//formHide('revokeButton');
			formHide('revokeAndAuthorizeButton');
			formHide('revokeValidationCheckBox');
			formHide('revokeDateAndUploadValidation');
			formHide('revokeDateAndUploadValidationPatientDeceased');
			formHide('newValidationCheckBox');
		} else if (selectedItem.value == 'Revoked') {
			disableObject('Revoke');
			enableObject('revokeValidationCheckBoxInput');
			disableObject('newValidationCheckBoxInput');
			enableObject('signatureDate');
			disableObject('file');
			disableObject('deceasedDate');
			disableObject('revokeAndAuthorize');
			deCheckObject('revokeValidationCheckBoxInput');
			deCheckObject('newValidationCheckBoxInput');
			formShow('revokeButton');
			formHide('revokeAndAuthorizeButton');
			formShow('revokeValidationCheckBox');
			formShow('revokeDateAndUploadValidation');
			formHide('revokeDateAndUploadValidationPatientDeceased');
			formHide('newValidationCheckBox');
			enableRevokeAfterValidation('signatureDate', 'Revoke');
		} else if (selectedItem.value == 'Patient Deceased') {
			disableObject('Revoke');
			disableObject('revokeValidationCheckBoxInput');
			disableObject('newValidationCheckBoxInput');
			disableObject('signatureDate');
			disableObject('file');
			enableObject('deceasedDate');
			disableObject('revokeAndAuthorize');
			deCheckObject('revokeValidationCheckBoxInput');
			deCheckObject('newValidationCheckBoxInput');
			formShow('revokeButton');
			formHide('revokeAndAuthorizeButton');
			formHide('revokeValidationCheckBox');
			formHide('revokeDateAndUploadValidation');
			formShow('revokeDateAndUploadValidationPatientDeceased');
			formHide('newValidationCheckBox');
			enableRevokeAfterValidation('deceasedDate', 'Revoke');
		} else if (selectedItem.value == 'New Authorization') {
			disableObject('Revoke');
			disableObject('revokeValidationCheckBoxInput');
			enableObject('newValidationCheckBoxInput');
			enableObject('signatureDate');
			disableObject('file');
			disableObject('deceasedDate');
			disableObject('revokeAndAuthorize');
			formShow('revokeAndAuthorizeButton');
			deCheckObject('revokeValidationCheckBoxInput');
			deCheckObject('newValidationCheckBoxInput');
			disableObject('revokeAndAuthorize');
			formHide('revokeButton');
			formHide('revokeValidationCheckBox');
			formShow('revokeDateAndUploadValidation');
			formHide('revokeDateAndUploadValidationPatientDeceased');
			formShow('newValidationCheckBox');
			enableRevokeAfterValidation('signatureDate', 'Revoke');
		} else {
			enableObject('Revoke');
			disableObject('revokeValidationCheckBoxInput');
			disableObject('newValidationCheckBoxInput');
			disableObject('signatureDate');
			disableObject('file');
			disableObject('deceasedDate');
			disableObject('revokeAndAuthorize');
			deCheckObject('revokeValidationCheckBox');
			deCheckObject('newValidationCheckBox');
			formShow('revokeButton');
			formHide('revokeAndAuthorizeButton');
			formHide('revokeValidationCheckBox');
			formHide('revokeDateAndUploadValidation');
			formHide('revokeDateAndUploadValidationPatientDeceased');
			formHide('newValidationCheckBox');
		}
	}
	function enableAuthorizeAfterValidation(objA, objB, arg) {
		var valelmentA = document.getElementById(objA);
		var valelmentB = document.getElementById(objB);
		var elmt = document.getElementById(arg);
		if (elmt != null) {
			if (valelmentA.value != '' && isDate(valelmentA.value) == true && valelmentB.checked == true) {
				elmt.disabled = false;
			} else {
				elmt.disabled = true;
			}
		}
	}
	function enableRevokeAfterValidation(objA, arg) {
		var valelmentA = document.getElementById(objA);		
		var elmt = document.getElementById(arg);
		if (elmt != null) {
			var elmtOptionA = document.getElementById('revokeValidationCheckBox');
			var elmtOptionB = document.getElementById('newValidationCheckBox');
			if ((elmtOptionA != null && elmtOptionA.style.display != "none") || (elmtOptionB != null && elmtOptionB.style.display != "none")){
				if (elmtOptionA != null && elmtOptionA.style.display != "none"){ 
					var valelmentB = document.getElementById('revokeValidationCheckBoxInput');
				}else{ 
					var valelmentB = document.getElementById('newValidationCheckBoxInput');
					var elmt = document.getElementById('revokeAndAuthorize');
				}				
				if (valelmentA.value != '' && isDate(valelmentA.value) == true && valelmentB.checked == true) {
					elmt.disabled = false;
				} else {
					elmt.disabled = true;
				}			
			}else{				
				if (valelmentA.value != '' && isDate(valelmentA.value) == true) {
					elmt.disabled = false;
				} else {
					elmt.disabled = true;
				}
			}
		}
	}
	function enableRestrictAfterValidation(objA, objB, objC, objD, arg) {
		var valelmentA = document.getElementById(objA);
		var valelmentB = document.getElementById(objB);
		var valelmentC = document.getElementById(objC);
		var valelmentD = document.getElementById(objD);
		var elmt = document.getElementById(arg);
		if (elmt != null) {
			if (valelmentA.value != '' && isDate(valelmentA.value) == true && valelmentB.checked == true && valelmentC.length >= 1 && valelmentD.length != 0) {
				elmt.disabled = false;
			} else {
				elmt.disabled = true;
			}
		}
	}
	function isDate(input){
		if (!/^\d{2}\/\d{2}\/\d{4}$/.test(input)){
			return false;
		}
		else{
			var monthfield = input.split("/")[0];
			var dayfield = input.split("/")[1];
			var yearfield = input.split("/")[2];
			
			var dayobj = new Date(yearfield, monthfield-1, dayfield);
			if ((dayobj.getMonth()+1 != monthfield) || (dayobj.getDate() != dayfield) || (dayobj.getFullYear() != yearfield)){
				return false;
			}
			else{
				return true;
			}
		}
	}
</script>
</head>
<body onLoad="makeDocReady();">
	<%@include file="header.jspf"%>
	<table border="0" cellpadding="0" cellspacing="0" width="100%"
		summary="table is used for layout purposes" id="main-content-table">
		<tbody>
			<tr>
                <%@include file="leftMenu.jspf"%>
				<td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
					<p class="title-bar">
						<!-- START: SITE NAME -->
						Patient Details
						<!-- END: SITE NAME -->
					</p> <cpp:errors /> <!-- END: SITE NAME BAR -->

					<table border="0" cellpadding="0" cellspacing="0" width="100%"
						summary="table is used for layout purposes">
						<tbody>
							<tr>
								<td id="content-main">
									<!-- START: PAGE TITLE AREA --> <!-- END: PAGE TITLE AREA --> <!-- START: PAGE CONTENT -->
									<table SUMMARY="This table is for formatting purposes only.">
										<tbody>
											<tr>
												<td>
													<div id="slidetabsmenu">
														<ul>
															<li id="current"><a alt="Patient Summary"
																href="PatientDetails.do_sec" title="Patient Summary"><span>Patient
																		Summary</span> </a>
															</li>
															<li><a alt="View Health Summary (C32)"
																href="PatientDetails.do_sec?view=true"
																title="View Health Summary (C32)"><span>Health
																		Summary (C32)</span> </a>
															</li>
														</ul>
														<c:if test="${!empty patients}">
															<a style="float: right; background-color: white"
																alt="Back to Patient Search Results"
																href="PatientSearchResults.do_sec">Back to Patient
																Search Results</a>
														</c:if>
													</div>
												</td>
											</tr>
											<tr>
												<td id="content-page-content-title" width="100%"><font
													id="content-page-title-font">Patient Information</font></td>
											</tr>
											<tr>
												<td><%@include file="patientDemographics.jspf"%>
												</td>
											</tr>
											<tr>
												<td id="content-page-content-title" width="100%"><font
													id="content-page-title-font">Manage Access to
														Veteran Health Records</font>
												</td>
											</tr>
											<c:choose>
												<c:when test="${!empty consentDirective}">
													<%--
												<tr>
													<td id="content-page-content-title" width="100%"><font
														id="content-page-title-font">Patient is Opted-in as
															of&nbsp;<b><fmt:formatDate pattern="MM/dd/yyyy"
																	value="${consentDirective.optinDate}" /> </b>,&nbsp;expires
															on&nbsp;<b><fmt:formatDate pattern="MM/dd/yyyy"
																	value="${consentDirective.expirationDate}" /> </b> </font>
													</td>
												</tr>
												--%>
													<tr>
														<td><b><font size="2">${organizationName}</font><br /> <font color="gray">Access</font><br />The
																Veteran has currently authorized the release </b>of
															protected health information from <b><fmt:formatDate
																	pattern="MM/dd/yyyy"
																	value="${consentDirective.optinDate}" /> </b> that expires
															on <b><fmt:formatDate pattern="MM/dd/yyyy"
																	value="${consentDirective.expirationDate}" /> </b>,
															through ${organizationName}. <br />
															&gt;&nbsp;<a
															href="PatientDetails.do_sec?revokeNwHIN=true"
															title="Revoke ${organizationName}"
															onclick="if(checkReadyState()){Modalbox.show(this.href, {title: this.title, width:900, height:600, afterHide: function() {window.location.href = window.location.href; }}); return false;} else {return false;}"><c:choose>
																	<c:when test="${isNewAuthorizationAllowed eq true}">Revoke access or submit new authorization</c:when>
																	<c:otherwise>Revoke access</c:otherwise>
																</c:choose> to Veteran electronic health information (${organizationName})</a> with
															non-VA healthcare provider organizations via ${organizationName} for
															the purposes of treatment.<br /> <br />
														</td>
													</tr>
												</c:when>
												<c:otherwise>
													<%--
												<tr>
													<td id="content-page-content-title" width="100%"><font
														id="content-page-title-font">Patient is Opted-out</font></td>
												</tr>
												--%>
													<tr>
														<td><b><font size="2">${organizationName}</font><br /> <font color="gray">Access</font><br />
																The Veteran has currently NOT authorized the release</b> of
															protected health information through ${organizationName}. <br /> &gt;&nbsp;<a
															href="PatientDetails.do_sec?authorizeNwHIN=true"
															title="Authorize ${organizationName}"
															onclick="if(checkReadyState()){Modalbox.show(this.href, {title: this.title, width:900, height:600, afterHide: function() {window.location.href = window.location.href; }}); return false;} else {return false;}">Share
																Veteran electronic health information (${organizationName})</a> with
															non-VA healthcare provider organizations via ${organizationName} for
															the purposes of treatment. <br /> <br />
														</td>
													</tr>
												</c:otherwise>
											</c:choose>
											<br />
											<c:if test="${isOrganizationExclusionsAllowed}">
												<c:choose>
													<c:when
														test="${!empty nwhinOrganizationRestrictionsDirective}">
														<tr>
															<td><b><font color="gray">Restrictions</font><br />The
																	Veteran currently has Restrictions </b> that limit the
																sharing of electronic health information.<br />
																&gt;&nbsp; <a
																href="PatientDetails.do_sec?modifyNwHINOrganizationRestrictions=true"
																title="View/Modify ${organizationName} Organization Restriction"
																onclick="if(checkReadyState()){Modalbox.show(this.href, {title: this.title, width:900, height:600, evalScripts: true, afterHide: function() {window.location.href = window.location.href; }}); return false;} else {return false;}">View/Modify
																	Veteran's existing restrictions.</a> <br /> &gt;&nbsp; <a
																href="PatientDetails.do_sec?revokeNwHINOrganizationRestrictions=true"
																title="Revoke or Terminate ${organizationName} Organization Restriction"
																onclick="if(checkReadyState()){Modalbox.show(this.href, {title: this.title, width:900, height:600, evalScripts: true, afterHide: function() {window.location.href = window.location.href; }}); return false;} else {return false;}">Revoke
																	or terminate Veteran's existing restrictions</a> that limit
																the sharing of electronic health information.<br /> <br />
															</td>
														</tr>
													</c:when>
													<c:otherwise>
														<tr>
															<td><b><font color="gray">Restrictions</font><br />
																	The Veteran has currently no restrictions.</b><br />
																&gt;&nbsp;<a
																href="PatientDetails.do_sec?authorizeNwHINOrganizationRestrictions=true"
																title="${organizationName} Restrictions"
																onclick="if(checkReadyState()){Modalbox.show(this.href, {title: this.title, width:900, height:600, evalScripts: true, afterHide: function() {window.location.href = window.location.href; }}); return false; void(0);} else {return false;}">Manage
																	Veteran restrictions</a> that limit the sharing of his/her
																electronic health information for non-VA healthcare
																provider organizations via ${organizationName} for the purpose of
																treatment. <br /> <br />
															</td>
														</tr>
													</c:otherwise>
												</c:choose>
											</c:if>
											<c:choose>
												<c:when test="${!empty ssaConsentDirective}">
													<%--
												<tr>
													<td id="content-page-content-title" width="100%"><font
														id="content-page-title-font">Patient is Opted-in as
															of&nbsp;<b><fmt:formatDate pattern="MM/dd/yyyy"
																	value="${ssaConsentDirective.optinDate}" /> </b>,&nbsp;expires
															on&nbsp;<b><fmt:formatDate pattern="MM/dd/yyyy"
																	value="${ssaConsentDirective.expirationDate}" /> </b> </font>
													</td>
												</tr>
											--%>
													<tr>
														<td><b><font size="2">Social Security
																	Administration (SSA)</font><br /> <font color="gray">Access</font><br />
																The Veteran has currently authorized the release of</b>
															protected health information to the Social Security
															Administration from <b><fmt:formatDate
																	pattern="MM/dd/yyyy"
																	value="${ssaConsentDirective.optinDate}" /> </b> that
															expires on <b><fmt:formatDate pattern="MM/dd/yyyy"
																	value="${ssaConsentDirective.expirationDate}" /> </b>,
															through ${organizationName}. <br />
															&gt;&nbsp;<a href="PatientDetails.do_sec?revokeSSA=true"
															title="Revoke SSA"
															onclick="if(checkReadyState()){Modalbox.show(this.href, {title: this.title, width:900, height:600, afterHide: function() {window.location.href = window.location.href; }}); return false;} else {return false;}"><c:choose>
																	<c:when test="${isSSANewAuthorizationAllowed eq true}">Revoke access or submit new authorization</c:when>
																	<c:otherwise>Revoke access</c:otherwise>
																</c:choose> to Veteran health information with the
																Social Security Administration</a> via ${organizationName} for the
															purposes of receiving disability benefits (Coverage).<br />
															<br /></td>
													</tr>
												</c:when>
												<c:otherwise>
													<%--
												<tr>
													<td id="content-page-content-title" width="100%"><font
														id="content-page-title-font">Patient is Opted-out</font></td>
												</tr>
												--%>
													<tr>
														<td><b><font size="2">Social Security
																	Administration (SSA)</font><br /> <font color="gray">Access</font><br />
																The Veteran has currently NOT authorized the release of</b>
															protected health information to the Social Security
															Administration through ${organizationName}. <br /> &gt;&nbsp;<a
															href="PatientDetails.do_sec?authorizeSSA=true"
															title="Authorize SSA"
															onclick="if(checkReadyState()){Modalbox.show(this.href, {title: this.title, width:900, height:600, afterHide: function() {window.location.href = window.location.href; }}); return false;} else {return false;}">Share
																Veteran health information with the Social Security
																Administration</a> via ${organizationName} for the purposes of
															receiving disability benefits (Coverage). <br /> <br />
														</td>
													</tr>
												</c:otherwise>
											</c:choose>

											<tr>
												<td id="content-page-content-title" width="100%"><font
													id="content-page-title-font">Announce</font></td>
											</tr>                                                                                        
											<tr>
												<td><%@include file="announce.jspf"%>
												</td>
											</tr> 
											<c:if test="${!empty consentDirectiveReferences}"> 
												<tr>  
													<td id="content-page-content-title" width="100%">
                                                                                                            <input id="btnConsents" type="button" style="border:none; background:none;" value="-" title="Collapse this section" onclick="toggleConsents();" />
                                                                                                            <font id="content-page-title-font">Status History</font>
                                                                                                        </td>
												</tr>
												<tr id="trConsents">
													<td><%@include file="consentHistory.jspf"%></td>
												</tr> 
											</c:if> 
											<tr>   
												<td id="content-page-content-title" width="25%">
                                                                                                    <input id="btnCorrelations" type="button" style="border:none; background:none;" value="-" title="Collapse this section" onclick="toggleCorrelations();" />
                                                                                                    <font id="content-page-title-font">${organizationName} Correlations</font>
                                                                                                </td>
											</tr>
											<tr id="trCorrelations">
												<td><%@include file="correlations.jspf"%>
												</td>
											</tr>
                                                                                        
										</tbody>
									</table> <!-- THE BODY CONTENT END -->
								</td>
							</tr>
						</tbody>
					</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%>
					<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
				</td>
			</tr>
		</tbody>
	</table>
</body>
</html>
