package gov.va.nvap.privacy;

import gov.va.med.nhin.adapter.audit.PageInfoType;
import gov.va.med.nhin.adapter.audit.SortFieldsType;
import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConsentDirectiveDetailedRequestType", propOrder = {"firstName", "lastName", 
    "ssn", "facilityName", "consentType", "inactivationReason", "startDate", "endDate", 
    "testPatients", "enteredBy", "pageInfo", "sortFields"})
public class ConsentDirectiveDetailedRequestType {

    @XmlElement(required = true)
	protected String firstName;
    
    @XmlElement(required = true)
	protected String lastName;
    
    @XmlElement(required = true)
	protected String ssn;
    
    @XmlElement(required = true)
	protected String facilityName;
    
    @XmlElement(required = true)
	protected String consentType;
    
    @XmlElement(required = true)
	protected String inactivationReason;
    
    @XmlElement(required = true)
	protected Date startDate;
    
    @XmlElement(required = true)
	protected Date endDate;
    
    @XmlElement(required = true)
	protected boolean testPatients;
    
    @XmlElement(required = true)
	protected String enteredBy;
    
    @XmlElement(required = true)
	protected PageInfoType pageInfo;
	
    @XmlElement(required = true)
    protected SortFieldsType sortFields;
    
    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }
    
    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }
    
    public String getSsn() {
        return ssn;
    }

    public void setSsn(String ssn) {
        this.ssn = ssn;
    }
    
    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }
    
    public String getConsentType() {
        return consentType;
    }

    public void setConsentType(String consentType) {
        this.consentType = consentType;
    }
    
    public String getInactivationReason() {
        return inactivationReason;
    }

    public void setInactivationReason(String inactivationReason) {
        this.inactivationReason = inactivationReason;
    }
    
    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    
    public boolean getTestPatients() {
        return testPatients;
    }

    public void setTestPatients(boolean testPatients) {
        this.testPatients = testPatients;
    }
  
    public String getEnteredBy() {
        return enteredBy;
    }

    public void setEnteredBy(String enteredBy) {
        this.enteredBy = enteredBy;
    }
    /**
     * Gets the value of the sortFields property.
     *
     * @return
     *     possible object is
     *     {@link SortFieldsType }
     *
     */
    public SortFieldsType getSortFields() {
        return sortFields;
    }

    /**
     * Sets the value of the sortFields property.
     *
     * @param value
     *     allowed object is
     *     {@link SortFieldsType }
     *
     */
    public void setSortFields(SortFieldsType value) {
        this.sortFields = value;
    }
    
    /**
     * Gets the value of the pageInfo property.
     * 
     * @return
     *     possible object is
     *     {@link PageInfoType }
     *     
     */
    public PageInfoType getPageInfo() {
        return pageInfo;
    }

    /**
     * Sets the value of the pageInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link PageInfoType }
     *     
     */
    public void setPageInfo(PageInfoType value) {
        this.pageInfo = value;
    }
}
