package gov.va.nvap.service.adapter.audit;

import gov.va.med.nhin.adapter.audit.GetAudits;
import gov.va.med.nhin.adapter.audit.GetAuditsResponse;
import gov.va.med.nhin.adapter.audit.GetAuditsSummary;
import gov.va.med.nhin.adapter.audit.GetAuditsSummaryResponse;
import gov.va.nvap.service.audit.AuditException;

/**
 * Calls the adapter audit for reports.
 * 
 * @author Asha Amritraj
 */
public interface AdapterAuditManager {

	public GetAuditsResponse getAudits(GetAudits auditQueryRequest)
			throws AuditException;

	public GetAuditsSummaryResponse getAuditSummary(
			GetAuditsSummary auditSummaryQueryRequest) throws AuditException;

}
