package gov.va.nvap.service.privacy;

import gov.va.nvap.privacy.ConsentDirectiveDetailedRequest;
import gov.va.nvap.privacy.ConsentDirectiveConfigurationRequest;
import gov.va.nvap.privacy.ConsentDirectiveConfigurationResponse;
import gov.va.nvap.privacy.ConsentDirectiveLetterResponse;

public interface ConsentDirectiveService {
	
    public ConsentDirectiveConfigurationResponse 
        getConfiguration(ConsentDirectiveConfigurationRequest configRequest);

    public void updateConfiguration(ConsentDirectiveConfigurationRequest configRequest);

    public void sendReport(ConsentDirectiveConfigurationRequest configRequest);
    
    public ConsentDirectiveLetterResponse 
        getReportLetters(ConsentDirectiveDetailedRequest configRequest);
}