package gov.va.nvap.service.privacy;

import gov.va.nvap.privacy.ConsentDirectiveDetailedExpirationRequest;
import gov.va.nvap.privacy.ExpiringConsentConfigurationRequest;
import gov.va.nvap.privacy.ExpiringConsentConfigurationResponse;
import gov.va.nvap.privacy.ExpiringConsentLetterResponse;

public interface ExpiringConsentService {
	
	public ExpiringConsentConfigurationResponse 
		getConfiguration(ExpiringConsentConfigurationRequest configRequest);
	
	public void updateConfiguration(ExpiringConsentConfigurationRequest configRequest);
	
	public void sendReport(ExpiringConsentConfigurationRequest configRequest);
    
    public ExpiringConsentLetterResponse 
        getReportLetters(ConsentDirectiveDetailedExpirationRequest configRequest);
}