DELETE  PATIENT_EXCLUDED_ORG;
DELETE  ANNOUNCEMENT;
DELETE  ALLOWED_ORG;
DELETE  FUNCTIONAL_ROLE;
DELETE  PATIENT_DOCUMENT;
DELETE  PATIENT_CONSENT_DIR;
DELETE  CONSENT_TYPE;
DELETE  OPTOUT_REASON;
DELETE  PATIENT_DOCUMENT_TYPE;
DELETE  PURPOSE_OF_USE;
DELETE  LOCATION;
DELETE  FACILITY;
DELETE  AUTHORITY;

-- Insert the Allowed Organizations fro testing purposes.
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NMV', '2.16.840.1.113883.3.190.6.100.1', 'Med Virginia', '*MVA',  'urn:oid:', 'CONTACT ONE', '555-555-5551', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NHKP', '2.16.840.1.113883.3.424', 'ONC InteropLab - Node 1', '*HKP', 'urn:oid:', 'CONTACT TWO', '555-555-5552', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NNC', '2.16.840.1.113883.3.488.1', 'NCHICA', '*NNC', 'urn:oid:', 'CONTACT THREE', '555-555-5553', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NDD', '2.16.840.1.113883.3.425', 'ONC InteropLab - Node 2', '*NDD', 'urn:oid:', 'CONTACT FOUR', '555-555-5554', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NIN', '1.3.6.1.4.1.12009.6.1', 'Indiana Health', '*INH', 'urn:oid:', 'CONTACT FIVE', '555-555-5555', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NWA', '2.16.840.1.113883.3.715', 'Inland Spokane', '*NWA',  'urn:oid:', 'CONTACT SIX', '555-555-5556', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200DOD', '2.16.840.1.113883.3.42.10001.100001.12', 'Department of Defense', '*DoD', 'urn:oid:', 'CONTACT SEVEN', '555-555-5557', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NKP', '1.3.6.1.4.1.26580', 'Kaiser Permanente', '*KP', 'urn:oid:', 'CONTACT EIGHT', '555-555-5558', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NUT', '2.16.840.1.113883.3.709.1.2.1', 'Utah', '*NUT', 'urn:oid:', 'CONTACT NINE', '555-555-5559', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NWS', '1.2.840.114350.1.13.60.3.7.3.688884.100', 'Multicare Health System', '*NWS', 'urn:oid:', 'CONTACT TEN', '555-555-5560', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NSC', '1.3.6.1.4.1.37619', 'South Carolina Health', '*NSC', 'urn:oid:', 'CONTACT ELEVEN', '555-555-5561', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NMN', '1.3.6.1.4.1.31523', 'Minnesota - CHIC', '*NMN', 'urn:oid:', 'CONTACT TWELVE', '555-555-5562', 'Y', 'C');
INSERT INTO ALLOWED_ORG
    (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY)
 Values
   (ALLOWED_ORG_SEQ.NEXTVAL, '200NWN', '2.25.256133121442266547198931747355024016667.1.2.1', 'Buffalo - WNYCIE', '*NWN', 'urn:oid:', 'CONTACT THIRTEEN', '555-555-5563', 'Y', 'C');


-- INSERT the AUTHORTY lookup data
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '2.16.840.1.113883.3.190.6.100.1', 'MVA');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '2.16.840.1.113883.3.424', 'HKP');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '2.16.840.1.113883.3.488.1', 'NNC');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '2.16.840.1.113883.3.425', 'NDD');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '1.3.6.1.4.1.12009.6.1', 'INH');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '2.16.840.1.113883.3.715', 'NWA');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '2.16.840.1.113883.3.42.10001.100001.12', 'USDOD');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '1.3.6.1.4.1.26580', 'KP');
INSERT INTO AUTHORITY
    (AUTHORITY_ID, OID, AUTHORITY_NAME)
 Values
   (AUTHORITY_SEQ.NEXTVAL, '2.16.840.1.113883.4.349', 'USVHA');


-- INSERT the Functional Roles
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Registered Nurse');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Licensed Practical Nurse (LPN)');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Pharmacist');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Physician');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Prosthetist');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Therapist');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Non-licensed Care Practioner');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Medical Technician');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Clerk');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Administrative Support Specialist');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Transcriptionist');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'QA Personnel');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Supervisor');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Supplier');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Functional Consultant, Business Analyst');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Medical Officer');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Database Management');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Telecommunications Specialist, Network Managers');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Security Managers, Security Technician/Administrators');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Applications Developer');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Business Analyst');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Finance Professional');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Quality Assurance Personnel');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Auditor');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Patient Safety Professional');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Information Security Officer');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Legal Counsel');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Accreditor');
INSERT INTO FUNCTIONAL_ROLE
    (FUNCTIONAL_ROLE_ID, NAME)
 VALUES
    (FUNCTIONAL_ROLE_SEQ.NEXTVAL, 'Executive Manager');

-- INSERT the Purpose of Use test data.
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'Healthcare Treatment', 'urn:oasis:names:tc:xspa:1.0:subject:purposeofuse');
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'Payment and Operations', 'urn:oasis:names:tc:xspa:1.0:subject:purposeofuse');
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'Emergency Treatment', 'urn:oasis:names:tc:xspa:1.0:subject:purposeofuse');
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'System Administration', 'urn:oasis:names:tc:xspa:1.0:subject:purposeofuse');
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'Research', 'urn:oasis:names:tc:xspa:1.0:subject:purposeofuse');
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'Marketing', 'urn:oasis:names:tc:xpsa:1.0:subject:purposeofuse');
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'Public Health', 'urn:oasis:names:tc:xspa:1.0:subject:purposeofuse');
INSERT INTO PURPOSE_OF_USE
    (POU_ID, POU_VALUE, URN)
  VALUES
    (PURPOSE_OF_USE_SEQ.NEXTVAL, 'Programmer Access', 'urn:oasis:names:tc:xspa:1.0:subject:purposeofuse');

INSERT into CONSENT_TYPE
    (CONSENT_TYPE_ID, NAME)
  VALUES
    (CONSENT_TYPE_SEQ.NEXTVAL, 'NwHIN');

INSERT into CONSENT_TYPE
    (CONSENT_TYPE_ID, NAME)
  VALUES
    (CONSENT_TYPE_SEQ.NEXTVAL, 'EAG');

INSERT into CONSENT_TYPE
    (CONSENT_TYPE_ID, NAME)
  VALUES
    (CONSENT_TYPE_SEQ.NEXTVAL, 'DAS');

INSERT into CONSENT_TYPE
    (CONSENT_TYPE_ID, NAME)
  VALUES
    (CONSENT_TYPE_SEQ.NEXTVAL, 'MHV');

INSERT into CONSENT_TYPE
    (CONSENT_TYPE_ID, NAME)
  VALUES
    (CONSENT_TYPE_SEQ.NEXTVAL, 'SSA');

-- Insert the test Consent Directives.
-- PATIENT 123456
INSERT into PATIENT_CONSENT_DIR
    (CONSENT_DIR_ID, PATIENT_IEN, OPTIN_DATE, OPTOUT_DATE, OPTOUT_TS, OPTIN_TS, EXPIRATION_DATE, OPTIN_CONSENT_TYPE_ID, OPTOUT_CONSENT_TYPE_ID, OPTOUT_REASON_ID, POU_ID)
  VALUES
    (PATIENT_CONSENT_DIR_SEQ.NEXTVAL, '123456', to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2014-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), (SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'),(SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'), null, null);
-- PATIENT 123457
INSERT into PATIENT_CONSENT_DIR
    (CONSENT_DIR_ID, PATIENT_IEN, OPTIN_DATE, OPTOUT_DATE, OPTOUT_TS, OPTIN_TS, EXPIRATION_DATE, OPTIN_CONSENT_TYPE_ID, OPTOUT_CONSENT_TYPE_ID, OPTOUT_REASON_ID, POU_ID)
  VALUES
    (PATIENT_CONSENT_DIR_SEQ.NEXTVAL, '123457', to_date('2010-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'),to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-01-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2014-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), (SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'),(SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'), null, null);
-- PATIENT 123458
INSERT into PATIENT_CONSENT_DIR
    (CONSENT_DIR_ID, PATIENT_IEN, OPTIN_DATE, OPTOUT_DATE, OPTOUT_TS, OPTIN_TS, EXPIRATION_DATE, OPTIN_CONSENT_TYPE_ID, OPTOUT_CONSENT_TYPE_ID, OPTOUT_REASON_ID, POU_ID)
  VALUES
    (PATIENT_CONSENT_DIR_SEQ.NEXTVAL, '123458', to_date('2010-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'),to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-01-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), (SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'),(SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'), null, null);
-- PATIENT 123459
INSERT into PATIENT_CONSENT_DIR
    (CONSENT_DIR_ID, PATIENT_IEN, OPTIN_DATE, OPTOUT_DATE, OPTOUT_TS, OPTIN_TS, EXPIRATION_DATE, OPTIN_CONSENT_TYPE_ID, OPTOUT_CONSENT_TYPE_ID, OPTOUT_REASON_ID, POU_ID)
  VALUES
    (PATIENT_CONSENT_DIR_SEQ.NEXTVAL, '123459', to_date('2010-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2011-05-23 00:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-01-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2014-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), (SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'),(SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'), null, null);
-- PATIENT 123460 - Record 1
INSERT into PATIENT_CONSENT_DIR
    (CONSENT_DIR_ID, PATIENT_IEN, OPTIN_DATE, OPTOUT_DATE, OPTOUT_TS, OPTIN_TS, EXPIRATION_DATE, OPTIN_CONSENT_TYPE_ID, OPTOUT_CONSENT_TYPE_ID, OPTOUT_REASON_ID, POU_ID)
  VALUES
    (PATIENT_CONSENT_DIR_SEQ.NEXTVAL, '123460', to_date('2010-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2011-05-23 00:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-01-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), (SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'),(SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'), null, null);
-- PATIENT 123460 - Record 2
INSERT into PATIENT_CONSENT_DIR
    (CONSENT_DIR_ID, PATIENT_IEN, OPTIN_DATE, OPTOUT_DATE, OPTOUT_TS, OPTIN_TS, EXPIRATION_DATE, OPTIN_CONSENT_TYPE_ID, OPTOUT_CONSENT_TYPE_ID, OPTOUT_REASON_ID, POU_ID)
  VALUES
    (PATIENT_CONSENT_DIR_SEQ.NEXTVAL, '123460', to_date('2010-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'),to_date('2010-12-12 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), to_date('2010-01-13 12:00:00', 'YYYY-MM-DD HH24:MI:SS'), to_date('2014-01-01 12:23:45', 'YYYY-MM-DD HH24:MI:SS'), (SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'),(SELECT CONSENT_TYPE_ID FROM CONSENT_TYPE ct WHERE ct.NAME = 'NwHIN'), null, null);

INSERT into PATIENT_EXCLUDED_ORG
    (CONSENT_DIR_ID, ORG_ID)
 values
    ((select CONSENT_DIR_ID from PATIENT_CONSENT_DIR where PATIENT_IEN = '123457'), (select ORG_ID from ALLOWED_ORG where ORG_NAME = 'Med Virginia'));
INSERT into PATIENT_EXCLUDED_ORG
    (CONSENT_DIR_ID, ORG_ID)
 values
    ((select CONSENT_DIR_ID from PATIENT_CONSENT_DIR where PATIENT_IEN = '123457'), (select ORG_ID from ALLOWED_ORG where ORG_NAME = 'Inland Spokane'));

-- INSERT the test Document Types
INSERT into PATIENT_DOCUMENT_TYPE
    (DOCUMENT_TYPE_ID, DOCUMENT_NAME)
 values
    (PATIENT_DOCUMENT_TYPE_SEQ.NEXTVAL, 'OPT-IN');

INSERT into PATIENT_DOCUMENT_TYPE
    (DOCUMENT_TYPE_ID, DOCUMENT_NAME)
 values
    (PATIENT_DOCUMENT_TYPE_SEQ.NEXTVAL, 'OPT-OUT');

-- INSERT the Opt-out Reason test data.
INSERT into OPTOUT_REASON
    (OPTOUT_REASON_ID, TEXT)
 values
    (OPTOUT_REASON_SEQ.NEXTVAL, 'Entered in Error');
INSERT into OPTOUT_REASON
    (OPTOUT_REASON_ID, TEXT)
 values
    (OPTOUT_REASON_SEQ.NEXTVAL, 'Patient Deceased');
INSERT into OPTOUT_REASON
    (OPTOUT_REASON_ID, TEXT)
 values
    (OPTOUT_REASON_SEQ.NEXTVAL, 'Revoked');
INSERT into OPTOUT_REASON
    (OPTOUT_REASON_ID, TEXT)
 values
    (OPTOUT_REASON_SEQ.NEXTVAL, 'Authorization Expired');
INSERT into OPTOUT_REASON
    (OPTOUT_REASON_ID, TEXT)
 values
    (OPTOUT_REASON_SEQ.NEXTVAL, 'New Authorization');


-- insert facility information
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '983', 'NWHIN.TEST.DNS.DOMAIN', 'NwHIN Test Facility Name', 1);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '984', 'NWHIN2.TEST.DNS.DOMAIN', 'NwHIN Test 2 Facility Name', 1);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '521', 'BIRMINGHAM.DOMAIN.EXT', 'BIRMINGHAM VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '619', 'CENTRAL-ALABAMA.DOMAIN.EXT', 'CENTRAL ALABAMA HEALTH CARE SYSTEM - MONTGOMERY DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '679', 'TUSCALOOSA.DOMAIN.EXT', 'TUSCALOOSA VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '463', 'ANCHORAGE.DOMAIN.EXT', 'Alaska VA Healthcare System', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '649', 'PRESCOTT.DOMAIN.EXT', 'NORTHERN ARIZONA HEALTH CARE SYSTEM - PRESCOTT DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '678', 'TUCSON.DOMAIN.EXT', 'SOUTHERN ARIZONA HEALTH CARE SYSTEM - TUCSON DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '564', 'FAYETTVL-AR.DOMAIN.EXT', 'FAYETTEVILLE AR, VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '598', 'LITTLE-ROCK.DOMAIN.EXT', 'CENTRAL ARKANSAS HEALTH CARE SYSTEM - LITTLE ROCK ', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '570', 'FRESNO.DOMAIN.EXT', 'CENTRAL CALIFORNIA HEALTH CARE SYSTEM - FRESNO DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '605', 'LOMA-LINDA.DOMAIN.EXT', 'JERRY L. PETTIS MEMORIAL VA MEDICAL CENTER (605)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '600', 'LONG-BEACH.DOMAIN.EXT', 'VA LONG BEACH HEALTHCARE SYSTEM', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '612', 'MARTINEZ.DOMAIN.EXT', 'NORTHERN CALIFORNIA HEALTH CARE SYSTEM - MARTINEZ DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '640', 'PALO-ALTO.DOMAIN.EXT', 'PALO ALTO HEALTH CARE SYSTEM - PALO ALTO DIVSION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '664', 'SAN-DIEGO.DOMAIN.EXT', 'VA SAN DIEGO HEALTHCARE SYSTEM (664)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '691', 'WEST-LA.DOMAIN.EXT', 'VA GREATER LOS ANGELES HEALTHCARE SYSTEM - WEST LOS ANGELES DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '554', 'DENVER.DOMAIN.EXT', 'EASTERN COLORADO HEALTH CARE SYSTEM - DENVER DIVSN', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '575', 'GRAND-JUNCT.DOMAIN.EXT', 'GRAND JUNCTION (VAMC)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '689', 'WEST-HAVEN.DOMAIN.EXT', 'CONNECTICUT HEALTH CARE SYSTEM - WEST HAVEN DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '460', 'WILMINGTON.DOMAIN.EXT', 'Wilmington Regional Office', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '516', 'BAY-PINES.DOMAIN.EXT', 'BAY PINES VA HCS', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '546', 'MIAMI.DOMAIN.EXT', 'Broward County VA Clinic', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '573', 'NORTH-FLORIDA.DOMAIN.EXT', 'VA NORTH FLORIDA/SOUTH GEORGIA HEALTH SYSTEM - GAINESVILLE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '673', 'TAMPA.DOMAIN.EXT', 'JAMES A.HALEY VETERANS HOSPITAL', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '508', 'ATLANTA.DOMAIN.EXT', 'ATLANTA VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '557', 'DUBLIN.DOMAIN.EXT', 'DUBLIN', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '459', 'HONOLULU.DOMAIN.EXT', 'Honolulu Regional Office', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '531', 'BOISE.DOMAIN.EXT', 'Boise VA Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '537', 'CHICAGO-WEST.DOMAIN.EXT', 'JESSE BROWN VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '550', 'DANVILLE.DOMAIN.EXT', 'ILLIANA HCS', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '578', 'HINES.DOMAIN.EXT', 'EDWARD J. HINES JR. HOSPITAL', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '556', 'N-CHICAGO.DOMAIN.EXT', 'NORTH CHICAGO VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '610', 'NORTHERN-INDIANA.DOMAIN.EXT', 'NORTHERN INDIANA HEALTH CARE SYSTEM - MARION DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '583', 'INDIANAPOLIS.DOMAIN.EXT', 'RICHARD L. ROUDEBUSH VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '596', 'LEXINGTON.DOMAIN.EXT', 'LEXINGTON VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '603', 'LOUISVILLE.DOMAIN.EXT', 'Louisville VA Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '502', 'ALEXANDRIA.DOMAIN.EXT', 'ALEXANDRIA VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '629', 'NEW-ORLEANS.DOMAIN.EXT', 'Veterans Affairs (VA) Medical Center, New Orleans, LA', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '667', 'SHREVEPORT.DOMAIN.EXT', 'OVERTON BROOKS VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '512', 'BALTIMORE.DOMAIN.EXT', 'BALTIMORE MD VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '518', 'BEDFORD.DOMAIN', 'BEDFORD VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '523', 'BOSTON.DOMAIN.EXT', 'VA BOSTON HEALTHCARE SYSTEM - BOSTON DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '631', 'NORTHAMPTON.DOMAIN.EXT', 'NORTHAMPTON VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '515', 'BATTLE-CREEK.DOMAIN.EXT', 'BATTLE CREEK VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '553', 'DETROIT.DOMAIN.EXT', 'JOHN D. DINGELL VA MEDICAL CENTER (553)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '585', 'IRON-MTN.DOMAIN.EXT', 'Iron Mountain VA Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '655', 'SAGINAW.DOMAIN.EXT', 'Aleda E. Lutz VA Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '618', 'MINNEAPOLIS.DOMAIN.EXT', 'MINNEAPOLIS VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '656', 'ST-CLOUD.DOMAIN.EXT', 'VAMC ST. CLOUD, MN', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '520', 'BILOXI.DOMAIN.EXT', 'VA GULF COAST VETERANS HEALTH CARE SYSTEM', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '586', 'JACKSON.DOMAIN.EXT', 'G.V. (SONNY) MONTGOMERY', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '589', 'KANSAS-CITY.DOMAIN.EXT', 'VA HEARTLAND - WEST, VISN 15 (589)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '657', 'ST-LOUIS.DOMAIN.EXT', 'VA HEARTLAND-EAST, VISN 15 HCS JOHN COCHRAN MEMORIAL HOSPITAL', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '436', 'MONTANA.DOMAIN.EXT', 'Billings Vet Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '636', 'CENTRAL-PLAINS.DOMAIN.EXT', 'VA CENTRAL PLAINS HEALTH NETWORK - OMAHA DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '593', 'LAS-VEGAS.DOMAIN.EXT', 'SOUTHERN NEVADA HCS', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '654', 'RENO.DOMAIN.EXT', 'VA SIERRA NEVADA HEALTH CARE SYSTEM (654)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '608', 'MANCHESTER.DOMAIN.EXT', 'MANCHESTER VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '561', 'EAST-ORANGE.DOMAIN.EXT', 'NEW JERSEY HEALTH CARE SYSTEM - EAST ORANGE', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '501', 'ALBUQUERQUE.DOMAIN.EXT', 'NEW MEXICO VA HEALTH CARE SYSTEM - ALBUQUERQUE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '526', 'BRONX.DOMAIN.EXT', 'BRONX VA HOSPITAL', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '620', 'MONTROSE.DOMAIN.EXT', 'VA HUDSON VALLEY HEALTH CARE SYSTEM - MONTROSE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '632', 'NORTHPORT.DOMAIN.EXT', 'Northport,NY VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '630', 'NY-HARBOR.DOMAIN.EXT', 'VA NEW YORK HARBOR HEALTHCARE SYSTEM - NEW YORK DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '528', 'V02.DOMAIN.EXT', 'VA HEALTHCARE NETWORK UPSTATE NEW YORK SYSTEM - BUFFALO DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '637', 'ASHEVILLE.DOMAIN.EXT', 'ASHEVILLE VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '558', 'DURHAM.DOMAIN.EXT', 'DURHAM VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '565', 'FAYETTVL-NC.DOMAIN.EXT', 'FAYETTEVILLE NC VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '659', 'SALISBURY.DOMAIN.EXT', 'SALISBURY,VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '538', 'CHILLICOTHE.DOMAIN.EXT', 'CHILLICOTHE, OH VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '539', 'CINCINNATI.DOMAIN.EXT', 'CINCINNATI VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '541', 'CLEVELAND.DOMAIN.EXT', 'CLEVELAND VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '757', 'COLUMBUS.DOMAIN.EXT', 'CHALMERS P. WYLIE VA OUTPATIENT CLINIC (757)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '552', 'DAYTON.DOMAIN.EXT', 'DAYTON, OH VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '623', 'MUSKOGEE.DOMAIN.EXT', 'MUSKOGEE, OK VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '635', 'OKLAHOMA.DOMAIN.EXT', 'OKLAHOMA CITY VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '648', 'PORTLAND.DOMAIN.EXT', 'PORTLAND, OREGON VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '653', 'ROSEBURG.DOMAIN.EXT', 'ROSEBURG HCS', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '692', 'WHITE-CITY.DOMAIN.EXT', 'VA Southern Oregon Rehabilitation Center & Clinics', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '503', 'ALTOONA.DOMAIN.EXT', 'JAMES E VAN ZANDT VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '529', 'BUTLER.DOMAIN.EXT', 'Butler Veterans Affairs Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '542', 'COATESVILLE.DOMAIN.EXT', 'COATESVILLE VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '562', 'ERIE.DOMAIN.EXT', 'ERIE VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '595', 'LEBANON.DOMAIN.EXT', 'LEBANON VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '642', 'PHILADELPHIA.DOMAIN.EXT', 'PHILADELPHIA, PA VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '646', 'PITTSBURGH.DOMAIN.EXT', 'PITTSBURGH HEALTH CARE SYSTEM - UNIVERSITY DRIVE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '693', 'WILKES-BARRE.DOMAIN.EXT', 'WILKES-BARRE VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '650', 'PROVIDENCE.DOMAIN.EXT', 'PROVIDENCE VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '534', 'CHARLESTON.DOMAIN.EXT', 'RALPH H. JOHNSON VA MEDICAL CENTER (534)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '544', 'COLUMBIA-SC.DOMAIN.EXT', 'WM JENNINGS BRYAN DORN VETERANS AFFAIRS MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '568', 'BLACK-HILLS.DOMAIN.EXT', 'BLACK HILLS HEALTH CARE SYSTEM - FT. MEADE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '438', 'SIOUX-FALLS.DOMAIN.EXT', 'Sioux Falls Regional Office', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '614', 'MEMPHIS.DOMAIN.EXT', 'MEMPHIS, TN VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '621', 'MTN-HOME.DOMAIN.EXT', 'MOUNTAIN HOME VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '626', 'TENNESSEEVALLEY.DOMAIN.EXT', 'VA TENNESSEE VALLEY HEALTHCARE SYSTEM - NASHVILLE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '504', 'AMARILLO.DOMAIN.EXT', 'AMARILLO HCS', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '519', 'BIG-SPRING.DOMAIN.EXT', 'WEST TEXAS VA HEALTH CARE SYSTEM - BIG SPRING DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '674', 'CENTRAL-TEXAS.DOMAIN.EXT', 'CENTRAL TEXAS HEALTH CARE SYSTEM - TEMPLE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '549', 'DALLAS.DOMAIN.EXT', 'NORTH TEXAS HEALTH CARE SYSTEM - DALLAS DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '756', 'EL-PASO.DOMAIN.EXT', 'El Paso VA Health Care System', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '580', 'HOUSTON.DOMAIN.EXT', 'MICHAEL E. DEBAKEY VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '671', 'SAN-ANTONIO.DOMAIN.EXT', 'SOUTH TEXAS HEALTH CARE SYSTEM - SAN ANTONIO DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '660', 'SALT-LAKE.DOMAIN.EXT', 'VA SALT LAKE CITY HEALTH CARE SYSTEM (660)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '590', 'HAMPTON.DOMAIN.EXT', 'HAMPTON (VAMC)', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '652', 'RICHMOND.DOMAIN.EXT', 'RICHMOND, VA VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '658', 'SALEM.DOMAIN.EXT', 'SALEM VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '663', 'PUGET-SOUND.DOMAIN.EXT', 'PUGET SOUND HEALTH CARE SYSTEM - SEATTLE DIVISION', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '668', 'SPOKANE.DOMAIN.EXT', 'SPOKANE VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '517', 'BECKLEY.DOMAIN.EXT', 'BECKLEY VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '540', 'CLARKSBURG.DOMAIN.EXT', 'LOUIS A JOHNSON VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '581', 'HUNTINGTON.DOMAIN.EXT', '    ington VA Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '695', 'MILWAUKEE.DOMAIN.EXT', 'Clement J Zablocki', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '676', 'TOMAH.DOMAIN.EXT', 'TOMAH VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '666', 'SHERIDAN.DOMAIN.EXT', 'SHERIDAN VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '688', 'WASHINGTON.DOMAIN.EXT', 'WASHINGTON', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '358', 'MANILA.DOMAIN.EXT', 'Manila Regional Office', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '644', 'PHOENIX.DOMAIN.EXT', 'Buckeye VA Health Care Clinic', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '662', 'SANFRANCISCO.DOMAIN.EXT', 'San Francisco VA Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '548', 'WEST-PALM.DOMAIN.EXT', 'St Lucie County PTSD Clinical Team (PCT) Outpatient Program', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '509', 'AUGUSTA.DOMAIN.EXT', 'Charlie Norwood VA Medical Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '402', 'TOGUS.DOMAIN.EXT', 'Detroit Vet Center', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '506', 'ANN-ARBOR.DOMAIN.EXT', 'VA Ann Arbor Healthcare System', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '437', 'FARGO.DOMAIN.EXT', 'Dickinson VA Community Based Outpatient Clinic', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '405', 'WHITE-RIVER.DOMAIN.EXT', 'White River Junction Regional Office', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '442', 'CHEYENNE.DOMAIN.EXT', 'Cheyenne VA Medical', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '687', 'WALLA-WALLA.DOMAIN.EXT', 'JONATHAN M. WAINWRIGHT MEMORIAL VA MEDICAL CENTER', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '613', 'MARTINSBURG.DOMAIN.EXT', 'MARTINSBURG VAMC', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '607', 'MADISON.DOMAIN.EXT', 'WILLIAM S. MIDDLETON MEMORIAL VA HOSPITAL', 0);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '672', 'SAN-JUAN.DOMAIN.EXT', 'SAN JUAN VA MEDICAL CENTER', 0);

INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '998', 'VA-Facility1.DOMAIN.EXT', 'VA Facility 1', 1);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '999', 'VA-Facility1.DOMAIN.EXT', 'VA Facility 2', 1);
INSERT INTO NHIN_VAP.FACILITY (FACILITY_ID, FACILITY_STATION, FACILITY_DNS, FACILITY_NAME, ALLOWED) VALUES (FACILITY_SEQ.NEXTVAL, '988', 'NWHIN5.TEST.DNS.DOMAIN', 'NwHIN Test Facility 5', 1);

INSERT INTO NHIN_VAP.LOCATION (LOCATION_ID, FACILITY_ID, LOCATION_CODE, ACTIVE) SELECT LOCATION_SEQ.NEXTVAL, f.facility_id, 'ISW', 'Y' from NHIN_VAP.FACILITY f where f.facility_station = '463';


-- COMMIT the test data.
COMMIT