<%--
    Document   : errors
    Created on : Dec 24, 2009, 7:45:03 PM
    Author     : David Vazquez
    Modified By: Asha Amritraj
--%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<%@tag description="Display form validation errors."
	pageEncoding="UTF-8"%>

<c:if test="${!empty formErrors}">
	<div id="formErrors" class="errors">
		<p>
			<em>There <c:choose>
					<c:when test="${fn:length(formErrors) > 1}">were</c:when>
					<c:otherwise>was</c:otherwise>
				</c:choose> ${fn:length(formErrors)} error<c:if
					test="${fn:length(formErrors) > 1}">s</c:if> in your submission.</em>
		</p>
		<ul class="noBulletNoIndent">
			<c:forEach var="fe" items="${formErrors}">
				<li><img src="res/error_icon.gif" alt=""/> <c:if
						test="${!empty fe.property}">
					</c:if> ${fe.message} </li>
			</c:forEach>
		</ul>
	</div>
       <div id="offScreenFormErrors" class="offscreen">
              <input alt="There <c:choose><c:when test="${fn:length(formErrors) > 1}">were</c:when><c:otherwise>was</c:otherwise></c:choose> ${fn:length(formErrors)} error<c:if test="${fn:length(formErrors) > 1}">s</c:if> in your submission.
                    <c:forEach var="fe" items="${formErrors}">
                    	<c:if test="${!empty fe.property}">
                        </c:if> ${fe.message}
                    </c:forEach> type="text" id="offScreenErrors" name="offScreenErrors" class="offscreen"/>
       </div>
</c:if>
