<%--
    Document   : Consent Directive Batch Announce
    Created By :         
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>
<%@taglib tagdir="/WEB-INF/tags/date" prefix="date"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
<head>
<%@include file="metaCommon.jspf"%>
<title>Veterans Authorization & Preferences Consent Directive Batch Announce</title>
<script type="text/javascript" src="js/OptionTransfer.js"></script>
<SCRIPT LANGUAGE="JavaScript">
var opt = new OptionTransfer("list1","list2");
opt.setAutoSort(true);
opt.setDelimiter(",");
opt.saveNewLeftOptions("newLeft");
opt.saveNewRightOptions("remoteOrganization");
</SCRIPT>
<c:choose>
	<c:when test="${flow == 'result'}">
		<script type="text/javascript">
			var bReady = false;			
			window.onbeforeunload = confirmExit;			
			function confirmExit(){
				if (!bReady){
					alert("Please press \"Continue\" or \"Cancel\" to exit this page.");
					if(navigator.appName.indexOf('Microsoft Internet Explorer') != -1) {         
					    window.setTimeout(function(){
							document.execCommand('Stop');
						}, 1);
    				} else {
						window.setTimeout(function(){
							window.stop();
						}, 1);        		
	    			}
    			}
			}			
			function makeReady(){
				bReady = true;
			}
		</script>
	</c:when>
</c:choose>
</head>
<c:choose>
	<c:when test="${flow == 'result'}">
		<body>
	</c:when>
	<c:otherwise>
		<body onload="opt.init(document.batchAnnounceForm);setFocus(batchAnnounceForm.list1);">
	</c:otherwise>
</c:choose>
    <%@include file="header.jspf"%>
    <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes"
        id="main-content-table">
        <tbody>
            <tr>
                <%@include file="leftMenu.jspf"%>
                <td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
                    <p class="title-bar">
                        <!-- START: SITE NAME -->
                        Batch Announce Patients
                        <!-- END: SITE NAME -->
                    </p> <cpp:errors /> <!-- END: SITE NAME BAR -->
                    <c:choose>
                        <c:when test="${flow == 'result'}">
                            <%@include file="batchAnnounceQueryResult.jspf"%>
                        </c:when>
                        <c:otherwise>
                            <%@include file="batchAnnounceQuery.jspf"%>
                        </c:otherwise>
                    </c:choose>
                    <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%> <!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
                </td>
            </tr>
        </tbody>
    </table>
</body>
</html>
