<%--
    Document   : Patient Discovery Report
    Created By : 
    Modified By: 
--%>


<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<title>Veterans Authorization & Preferences Batch Manager Search
	Results</title>
<%@include file="metaCommon.jspf"%>
<script type="text/javascript">
function checkAll()
{
	var master = document.getElementsByName("master");
	var batchIds = document.getElementsByName("batchId");

	if(master[0].checked == true)
	{
		for(var i=0; i < batchIds.length; i++)
		{
			batchIds[i].checked=true;
		}
	}
	else
	{
		for(var i=0; i < batchIds.length; i++)
		{
			batchIds[i].checked=false;
		}
	}
}

</script>
</head>
<body>
	<%@include file="header.jspf"%>
	<table border="0" cellpadding="0" cellspacing="0" width="100%"
		summary="table is used for layout purposes" id="main-content-table">
		<tbody>
			<tr>
				<%@include file="leftMenu.jspf"%>
				<td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
					<p class="title-bar">
						<!-- START: SITE NAME -->
						Batch Announcements Search Results
						<!-- END: SITE NAME -->
					</p> <cpp:errors /> <!-- END: SITE NAME BAR -->
					<table border="0" cellpadding="0" cellspacing="0" width="100%"
						summary="table is used for layout purposes">
						<tbody>
							<tr>
								<td id="content-main">
									<table width="100%"
										summary="This table is used for layout purposes">
										<!-- START: PAGE TITLE AREA -->
										<!-- END: PAGE TITLE AREA -->
										<tr>
											<td>
												<!-- START: PAGE CONTENT -->
												<table SUMMARY="This table is for formatting purposes only.">
													<tbody>
														<tr>
															<td>
																<table id="ver-minimalist">
																	<tbody>
																		<tr>
																			<td>Start Date</td>
																			<td><c:choose>
																					<c:when test="${!empty batchManagerQueryStartDate}">
																						<fmt:formatDate pattern="MM/dd/yyyy"
																							value="${batchManagerQueryStartDate}" />
																					</c:when>
																					<c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
																				</c:choose>
																			</td>
																			<td>End Date</td>
																			<td><c:choose>
																					<c:when test="${!empty batchManagerQueryEndDate}">
																						<fmt:formatDate pattern="MM/dd/yyyy"
																							value="${batchManagerQueryEndDate}" />
																					</c:when>
																					<c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
																				</c:choose>
																			</td>
																		</tr>
																	</tbody>
																</table> <c:choose>
																	<c:when test="${!empty batchManagerResults}">
																		<br />
																			<pg:paginator paginator="${paginator}"
																				uri="BatchManagerResults.do_sec"
																				results="${batchManagerResults}" />
																		<form name="manageBatchSelectForm"
																			id="manageBatchSelectForm"
																			action="BatchManagerResults.do_sec" method="POST"
																			onsubmit="return doSubmit(this)">

																			<table id="hor-minimalist-b">
																				<thead>
																					<tr>
																						<th scope="col"><input type="checkbox"
																							name="master"
																							onClick="checkAll();" alt="checkbox that allows to Check all"/>
																						</th>
																						<th scope="col">Organization Name</th>
																						<th scope="col">Date Created</th>
																						<th scope="col">Scheduled</th>
																						<th scope="col">Completed</th>
																						<th scope="col">Batch Size</th>
																					</tr>
																				</thead>
																				<tbody>
																					<pg:forEach var="r" items="${batchManagerResults}"
																						varStatus="i" paginator="${paginator}">
																						<tr>
																							<td><input type="checkbox" name="batchId"
																								value="${r.batchId}" alt="Check to choose Organizations"
																								/>
																							</td>
																							<td>${r.targetOrganizationName}</td>
																							<td><fmt:formatDate
																									pattern="MM/dd/yyyy hh:mm a"
																									value="${r.createdDate}" /></td>
																							<td>${r.numberScheduled}</td>
																							<td>${r.numberCompleted}</td>
																							<td>${r.batchSize}</td>
																						</tr>
																					</pg:forEach>
																				</tbody>
																			</table>
																			<div align="center">
																				<INPUT alt="Delete" class="button" TYPE="SUBMIT" VALUE="Delete"
																					name="delete" />&nbsp;
																				<input alt="Refresh" type="button"
																					value="Refresh" onClick="window.location.reload()" />
																			</div>
																		</form>

																		<pg:paginator paginator="${paginator}"
																			uri="BatchManagerResults.do_sec"
																			results="${batchManagerResults}" />
																	</c:when>
																	<c:otherwise>
                                                                	No records were found.
                                                            		</c:otherwise>
																</c:choose>
															</td>
														</tr>
													</tbody>
												</table> <!-- THE BODY CONTENT END -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</tbody>
					</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%>
					<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
				</td>
			</tr>
		</tbody>
	</table>
</body>
</html>