<%--
    Document   : Document Disclosure Report
    Created By : 
    Modified By: 
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp" %>
<%@taglib tagdir="/WEB-INF/tags/date" prefix="date" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
        <head>
        <%@include file="metaCommon.jspf" %>
        <title>Veterans Authorization & Preferences Document Disclosure Report</title>
        </head>
<body onload="setFocus(documentDisclosureReportForm.source)">
<%@include file="header.jspf" %>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
    	<tr>
			<%@include file="leftMenu.jspf" %>
            <td id="content-va">
                <a name="content-area"></a>
                <!-- START: SITE NAME BAR -->
                <p class="title-bar"><!-- START: SITE NAME -->Accounting of Disclosures Report<!-- END: SITE NAME --></p>
                <cpp:errors />
                <!-- END: SITE NAME BAR -->
                <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                    <tbody>
                        <tr>
                            <td id="content-main">
                            	<table width="100%" summary="This table is used for layout purposes">
                                  <!-- START: PAGE TITLE AREA -->
                                  <!-- END: PAGE TITLE AREA -->
    	                          <tr>
	    		                      <td>
                			            <!-- START: PAGE CONTENT -->
                                        <table SUMMARY="This table is for formatting purposes only.">
                                            <tbody>
												<tr>
					                              <td id="content-page-content-title" width="100%"><font id="content-page-title-font">Fill in the fields below to narrow your search.
													All dates will be included if Start Date and End Date are left blank.
																									</font></td>
                				                </tr>
                              					<tr>
												    <td>
														<div class="form-container">
                                                            <form name="documentDisclosureReportForm" action="DocumentDisclosureReport.do_sec" method="POST" onsubmit="return doSubmit(this)">
                                                                <fieldset>
                                                                    <input type="hidden" id="organizationName" name="organizationName">
                                                                    <input type="hidden" id="facilityName" name="facilityName">
                                                                    <legend>Search Details</legend>
                                                                     <div>
                                                                        <label alt="Select the disclosure source" for="source">Disclosure Source</label>
                                                                        <select id="source" name="source"  onchange='show_select()'>
                                                                            <option value="exchange" selected>Exchange</option>
                                                                            <option value="direct">Direct</option>
                                                                        </select>
                                                                     </div> 
                                                                     <div>
                                                                        <label for="ssn">SSN <i><span style="font-weight:normal;">(#########)</span></i></label>
                                                                        <input alt="Enter SSN. Enter numbers only no hyphens" id="ssn" name="ssn" type="text" maxlength="9" size="9" /> <i><span style="font-weight:normal;"> (Enter numbers only, no hyphens.)</span></i> &nbsp;
                                                                      </div>
                                                                      <div>
                                                                        <label for="lastName">Last Name</label>
                                                                        <input alt="Enter Last Name" id="lastName" name="lastName" type="text" maxlength="255" size="30" />
                                                                      </div>
                                                                      <div>
                                                                        <label for="firstName">First Name</label>
                                                                        <input alt="Enter First Name" id="firstName" name="firstName" type="text" maxlength="255" size="30" />
                                                                      </div>
                                                                      <div>
                                                                        <label for="startDate">Start Date <i><span style="font-weight:normal;">(mm/dd/yyyy)</span></i> </label>
                                                                        <date:date id="startDate" name="startDate" value="${startDate}"/>&nbsp;
                                                                      </div>
                                                                      <div>
                                                                        <label for="endDate">End Date <i><span style="font-weight:normal;">(mm/dd/yyyy)</span></i> </label>
                                                                        <date:date id="endDate" name="endDate" value="${startDate}"/>&nbsp;
                                                                      </div>
                                                                      <c:if test="${pouFlag eq true}">
                                                                      <div>
						                                                <label alt="Purpose of Use" for="purposeOfUse">Purpose of Use</label>
						                                                <select id="purposeOfUse" name="purposeOfUse">
																		<option value="">ALL</option>
																		<c:forEach var="pou" items="${pous}">
																		<option value="${pou.pouValue}">${pou.pouValue}</option>
																		</c:forEach>
																		</select>
						               						 		  </div> 
										               			      </c:if>
                                                                      <span id="extrafilters">
                                                                      <div>
                                                                            <label alt="Query based on VA Facility from the dropdown list" for="facility">VA Facility</label>
                                                                            <select id="facility" name="facility" onchange="document.getElementById('facilityName').value = this.selectedOptions[0].text;">
                                                                                <option value="">ALL</option>
                                                                                <c:forEach var="f" items="${facilities}">
                                                                                        <option value="${f.facilityStation}"
                                                                                                <c:choose>
                                                                                                    <c:when test="${f.facilityStation eq defaultUserFacility.facilityStation}">
                                                                                                    selected
                                                                                                    </c:when>
                                                                                                <c:when test="${cookie.facility.value == f.facilityStation}">
                                                                                                    selected
                                                                                                    </c:when>
                                                                                                </c:choose>>
                                                                                                <c:choose>
                                                                                                    <c:when test="${f.facilityName != ''}">
                                                                                                        ${f.facilityName}
                                                                                                    </c:when>
                                                                                                    <c:otherwise>
                                                                                                        ${fn:split(f.facilityDns, '.')[0]}
                                                                                                    </c:otherwise>
                                                                                                </c:choose>
                                                                                                (${f.facilityStation})
                                                                                        </option>
                                                                                </c:forEach>
                                                                            </select>
                                            <!--                          
                                            <input alt="Select to set as default facility" type="checkbox" name="defaultFacility"> Set as Default Facility
                                            -->
                                                                        </div>
                                                                      <div>
                                                                        <label alt="Query based on ${organizationName} Organization from the dropdown list" for="organization">${organizationName} Organization</label>
                                                                        <select id="organization" name="organization" onchange="document.getElementById('organizationName').value = this.selectedOptions[0].text;">
                                                                            <option value="" selected>ALL</option>
                                                                            <c:forEach var="r" items="${organizations}">
                                                                                <option value="%${r.orgOid}">${r.orgName}</option>
                                                                            </c:forEach>
                                                                        </select>
                                                                      </div>
                                                                        </span>
                                                                      <div>
                                                                        <label alt="Choose the number of records you want to view from the dropdown list" for="recordsPerPage">Records Per Page</label>
                                                                        <select id="recordsPerPage" name="recordsPerPage">
                                                                            <option value="10">10</option>
                                                                            <option value="25" selected>25</option>
                                                                            <option value="50">50</option>
                                                                            <option value="100">100</option>
                                                                            <option value="-1">ALL</option>
                                                                        </select>
                                                                      </div>
                                                                        <div>
                                                                                <label for="testPatients">Include Test Patients</label>
                                                                                <input type="checkbox" name="testPatients" id="testPatients" value="testPatients" alt="Check to Include the Test Patients"/>
                                                                            </div>
                                                                </fieldset>
                                                                <div class="buttonrow">
                                                                    <input name="search" alt="Search" class="button" type="submit" value="Search" />
                                                                </div>
                                                        </form>
                                                	</div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <!-- THE BODY CONTENT END -->
                                       </td>
                                 	</tr>
								</table>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <!-- START: PAGE FOOTER -->
                <%@include file="footer.jspf" %>
                <!-- END: PAGE FOOTER -->
                <!-- END: PAGE CONTENT -->
            </td>
        </tr>
    </tbody>
</table>
</body>
</html>
<script>
    function show_select()
    {
        var main_select = document.getElementById("source");
        var extra = document.getElementById("extrafilters");
        

        var desired_box = main_select.options[main_select.selectedIndex].value;
        if (desired_box === 'direct') {
            extra.style.display = 'none';
        } else {
            extra.style.display = '';   
        }
    }

</script>