﻿<%--
    Document   : Opt-in/Opt-out Summary Report
    Created By : 
    Modified By: 
--%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
        <head>
        <title>Veterans Authorization & Preferences Consent Directive Report Results</title>
        <%@include file="metaCommon.jspf" %>
        </head>
<body>
<%@include file="header.jspf" %>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
    	<tr>
			<%@include file="leftMenu.jspf" %>
            <td id="content-va">
                <a name="content-area"></a>
                <!-- START: SITE NAME BAR -->
                <p class="title-bar"><!-- START: SITE NAME -->Consent Directive Summary Report<!-- END: SITE NAME --></p>
                <cpp:errors />
                <!-- END: SITE NAME BAR -->
                <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                    <tbody>
                        <tr>
                            <td id="content-main">
                            	<table width="100%" summary="This table is used for layout purposes">
                                  <!-- START: PAGE TITLE AREA -->
                                  <!-- END: PAGE TITLE AREA -->
    	                          <tr>
	    		                      <td>
                			            <!-- START: PAGE CONTENT -->
                                        <table SUMMARY="This table is for formatting purposes only.">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <table id="ver-minimalist">
                                                            <tbody>
                                                                <tr><!-- uncomment the below and corresponding java method to re-enable excel exporting -->
                                                                    <a href="OptInOptOutSummaryReportResults.do_sec?exportToExcel=true">
                                                                            <input name="exportToExcel" alt="Export to Excel" class="button" type="submit" value="Export to Excel" /></a>
                                                                </tr>
                                                                <tr>
                                                                    <td>Start Date</td>
                                                                    <td><c:choose>
                                                                            <c:when test="${!empty optInOptOutSummaryQueryStartDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                    value="${optInOptOutSummaryQueryStartDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                    N/A
                                                                                </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td>End Date</td>
                                                                    <td><c:choose>
                                                                            <c:when test="${!empty optInOptOutSummaryQueryEndDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                    value="${optInOptOutSummaryQueryEndDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                    N/A
                                                                                </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                            </tbody>
                                                        </table>
                                                        <c:choose>
                                                            <c:when test="${!empty optInOptOutSummaryResults}">
                                                                <br/>   
                                                                <table>
                                                                    <thead>
                                                                        <tr id="hor-minimalist-c">
                                                                            <th scope="col">VA Facility</th>
                                                                            <th scope="col">Consent Type</th>
                                                                            <th scope="col">Total</th>
                                                                        </tr>
                                                                        <tr id="hor-minimalist-c">
                                                                        	<td scope="col"><a href="OptInOptOutSummaryReportResults.do_sec?optInOptOutSummaryReportSortValue=facilityName&optInOptOutSummaryReportSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInOptOutSummaryReportResults.do_sec?optInOptOutSummaryReportSortValue=facilityName&optInOptOutSummaryReportSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="OptInOptOutSummaryReportResults.do_sec?optInOptOutSummaryReportSortValue=consentType&optInOptOutSummaryReportSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInOptOutSummaryReportResults.do_sec?optInOptOutSummaryReportSortValue=consentType&optInOptOutSummaryReportSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td scope="col"><a href="OptInOptOutSummaryReportResults.do_sec?optInOptOutSummaryReportSortValue=count_All_Summary_Report&optInOptOutSummaryReportSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInOptOutSummaryReportResults.do_sec?optInOptOutSummaryReportSortValue=count_All_Summary_Report&optInOptOutSummaryReportSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                    	</tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        <pg:forEach var="r" items="${optInOptOutSummaryResults}" varStatus="i"
                                                                            paginator="${paginator}">
                                                                            <tr id="hor-minimalist-b">
																				<c:choose>
																					<c:when test="${r.facilityName==''}">
																						<td>UNKNOWN</td>
																					</c:when>
																					<c:when test="${r.facilityName eq empty facilityName}">
																						<td>UNKNOWN</td>
																					</c:when>
																					<c:otherwise>
																						<td>${r.facilityName}</td>
																					</c:otherwise>
																				</c:choose>
																				<td>
                                                                                	<c:choose>
                                                                                		<c:when test="${r.consentType ne null and not empty r.consentType}">
                                                                                			${r.consentType}
                                                                                		</c:when>
                                                                                		<c:otherwise> <!--  there is a non-deliminated space there to make sure lines look appropriate when the jsp is rendered -->
                                                                                		</c:otherwise>
                                                                                	</c:choose>
                                                                                </td>
																				<td>${r.count}</td>
                                                                            </tr>
                                                                        </pg:forEach>
                                                                    </tbody>
                                                                </table>
                                                            </c:when>
                                                            <c:otherwise>
                                                                    No records were found.
                                                                </c:otherwise>
                                                        </c:choose>
                                                        <br/>
                                                        <table>
                                                        	<!--<c:if test="${optInOptOutSummaryQueryActionType eq 'OPT-IN'
                                                                             || empty optInOptOutSummaryQueryActionType}">-->
                                                                    <tr>
                                                                        <td>
                                                                            <b>Grand Total ${organizationName} Authorizations:</b>
                                                                        </td>
                                                                        <td>
                                                                            ${nwhinAuthorizationTotal}
                                                                        </td>
                                                                    </tr>
                                                           <!--  </c:if>-->
                                                            <!--<c:if test="${optInOptOutSummaryQueryActionType eq 'OPT-OUT'
                                                                          || empty optInOptOutSummaryQueryActionType}">-->
                                                                    <tr>
                                                                        <td>
                                                                            <b>Grand Total SSA Authorizations:</b>
                                                                        </td>
                                                                        <td>
                                                                            ${ssaAuthorizationTotal}
                                                                        </td>
                                                                    </tr>
                                                          <!--    </c:if>-->
																	<tr>
                                                                        <td>
                                                                            <b>Grand Total ${organizationName} Revocations:</b>
                                                                        </td>
                                                                        <td>
                                                                            ${nwhinRevocationTotal}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <b>Grand Total SSA Revocations:</b>
                                                                        </td>
                                                                        <td>
                                                                            ${ssaRevocationTotal}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <b>Grand Total ${organizationName} Restrictions:</b>
                                                                        </td>
                                                                        <td>
                                                                            ${nwhinRestrictionTotal}
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <b>Grand Total ${organizationName} Restriction Revocations:</b>
                                                                        </td>
                                                                        <td>
                                                                            ${nwhinRestrictionRevocationTotal}
                                                                        </td>
                                                                    </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <!-- THE BODY CONTENT END -->
                                       </td>
                                 	</tr>
								</table>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <!-- START: PAGE FOOTER -->
                <%@include file="footer.jspf" %>
                <!-- END: PAGE FOOTER -->
                <!-- END: PAGE CONTENT -->
            </td>
        </tr>
    </tbody>
</table>
</body>
</html>