<%-- 
    Document   : optInReportResults
    Created on : Dec 2, 2014
    Author     :                  
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
    <head>
        <%@include file="metaCommon.jspf" %>
        <title>Veterans Authorization & Preferences Opt-In Patients Report</title>
    </head>
    <body>
        <%@include file="header.jspf" %>
        <%@include file="patientLinkForm.jspf"%>
        <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
            <tbody>
                <tr>
                    <%@include file="leftMenu.jspf" %>
                    <!-- START: PAGE CONTENT -->
                    <td id="content-va">
                        <a name="content-area"></a>
                        <!-- START: SITE NAME BAR -->
                        <p class="title-bar"><!-- START: SITE NAME -->Opt-In Patients Report<!-- END: SITE NAME --></p>
                        <cpp:errors />
                        <!-- END: SITE NAME BAR -->
                        <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                            <tbody>
                                <tr>
                                    <td id="content-main">
                                        <table width="100%" summary="This table is used for layout purposes">
                                            <!-- START: PAGE TITLE AREA -->
                                            <!-- END: PAGE TITLE AREA -->
                                            <tr>
                                                <td>
                                                    <!-- START: REPORT RESULTS -->
                                                    <table SUMMARY="This table is for formatting purposes only.">
                                                        <tbody>
                                                            <tr>
                                                                <td>
                                                                    <% session.setAttribute("optInReport", "true"); %>
                                                                    <a href="ExpiringConsentReportResults.do_sec?exportToExcel=true">
                                                                        <input name="exportToExcel" alt="Export to Excel" class="button" type="submit" value="Export to Excel" /></a>   
                                                                    <c:choose>
                                                                        <c:when test="${!empty expiringConsentReportResults}">
                                                                            <br/>
                                                                            <pg:paginator paginator="${paginator}" uri="OptInReportResults.do_sec" results="${expiringConsentReportResults}" />
                                                                            <br/>
                                                                            <table width="100%">
                                                                                <thead>
                                                                                    <tr id="hor-minimalist-c">
                                                                                        <th scope="col">SSN</th>
                                                                                        <th scope="col">Patient Last Name</th>
                                                                                        <th scope="col">Patient First Name</th>
                                                                                        <th scope="col">Patient Middle Name</th>
                                                                                        <th scope="col">Opt In Date</th>
                                                                                        <th scope="col">Expiration Date</th>
                                                                                        <th scope="col">Consent Type</th>
                                                                                        <th scope="col">Entered By</th>
                                                                                        <th scope="col">Facility</th>
                                                                                    </tr>
                                                                                    <tr id="hor-minimalist-c"  width="1500px">
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=patientMiddleName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=patientMiddleName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=optInDate&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=optInDate&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=expirationDate&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=expirationDate&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=optInConsentTypeId&inboundSortDirection=ASC"><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=optInConsentTypeId&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=ASC"><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="OptInReportResults.do_sec?inboundSortValue=facilityName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="OptInReportResults.do_sec?inboundSortValue=facilityName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                    </tr>
                                                                                </thead>
                                                                                <tbody>
                                                                                    <pg:forEach var="r" items="${expiringConsentReportResults}" varStatus="i" paginator="${paginator}">
                                                                                        <tr id="hor-minimalist-b">
                                                                                            <td nowrap><%@include file="patientLink.jspf"%></td>
                                                                                            <td>${r.lastName}</td>
                                                                                            <td>${r.firstName}</td>
                                                                                            <td>${r.middleName}</td>
                                                                                            <td><fmt:formatDate pattern="MM/dd/yyyy" value="${r.optInDate}"/></td>
                                                                                            <td><fmt:formatDate pattern="MM/dd/yyyy" value="${r.expirationDate}"/></td>
                                                                                            <td>${r.consentTypeName}</td>
                                                                                            <td>${r.userId}</td>
                                                                                            <td>${r.facilityName}</td>
                                                                                        </tr>
                                                                                    </pg:forEach>
                                                                                </tbody>
                                                                            </table>
                                                                            <pg:paginator paginator="${paginator}" uri="OptInReportResults.do_sec" results="${expiringConsentReportResults}" />
                                                                        </c:when>
                                                                        <c:otherwise>
                                                                            No records were found.
                                                                        </c:otherwise>
                                                                    </c:choose>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                    <!-- END: REPORT RESULTS -->
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <!-- START: PAGE FOOTER -->
                        <%@include file="footer.jspf" %>
                        <!-- END: PAGE FOOTER -->
                        <!-- END: PAGE CONTENT -->
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>