<%-- 
    Document   : optInSummaryReport
    Created on : Dec 4, 2014
    Author     :                  
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
    <head>
        <%@include file="metaCommon.jspf" %>
        <title>Veterans Authorization & Preferences Opt-In Patients Summary Report</title>
    </head>
    <script type="text/javascript" language="JavaScript">
        function setTestPatients(){
            var testPatientsValue = '<c:out value="${testPatients}"/>';
            if(testPatientsValue === 'true'){
                document.getElementById("testPatients").checked = true;
            } else {                                        
                document.getElementById("testPatients").checked = false;
            }   
        }
    </script>
    <body onload="javascript:setTestPatients()">
        <%@include file="header.jspf" %>
        <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
            <tbody>
                <tr>
                    <%@include file="leftMenu.jspf" %>
                    <!-- START: PAGE CONTENT -->
                    <td id="content-va">
                        <a name="content-area"></a>
                        <!-- START: SITE NAME BAR -->
                        <p class="title-bar"><!-- START: SITE NAME -->Opt-In Patients Summary Report<!-- END: SITE NAME --></p>
                        <cpp:errors />
                        <!-- END: SITE NAME BAR -->
                        <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                            <tbody>
                                <tr>
                                    <td id="content-main">
                                        <table width="100%" summary="This table is used for layout purposes">
                                            <!-- START: PAGE TITLE AREA -->
                                            <!-- END: PAGE TITLE AREA -->
                                            <tr>
                                                <td>
                                                    <!-- START: REPORT RESULTS -->
                                                    <table SUMMARY="This table is for formatting purposes only.">
                                                        <tbody>
                                                            <tr>
                                                                <td>
                                                                <a href="OptInSummaryReport.do_sec?exportToExcel=true">
                                                                    <input name="exportToExcel" alt="Export to Excel" class="button" type="submit" value="Export to Excel" />
                                                                </a>
                                                                   <form name="optInTestPatientForm"
                                                                        action="OptInSummaryReport.do_sec" method="POST">
                                                                            <div>
                                                                                <label for="testPatients">Include Test Patients</label>
                                                                                <input type="checkbox" name="testPatients" id="testPatients" value="testPatients" 
                                                                                       alt="Check to Include the Test Patients" style="margin-left: 15px;" 
                                                                                       onclick="this.form.submit()" />
                                                                            </div>
                                                                        </form>
                                                                    <c:choose>
                                                                        <c:when test="${!empty optInSummaryReportResults}">
                                                                            <br/>

                                                                            <table width="100%">
                                                                                <c:forEach var="r" items="${optInSummaryReportResults}" varStatus="rLoop">
                                                                                    <c:choose>
                                                                                        <c:when test="${rLoop.index == 0}">
                                                                                            <thead>
                                                                                                <tr id="hor-minimalist-c">
                                                                                                    <c:forEach var="c" items="${r}">
                                                                                                        <th>${c}</th>
                                                                                                    </c:forEach>
                                                                                                </tr>
                                                                                            </thead>                                                                                        
                                                                                        </c:when>
                                                                                        <c:when test="${rLoop.index == fn:length(optInSummaryReportResults) - 1}">
                                                                                            <tr id="hor-minimalist-c">
                                                                                                <c:forEach var="c" items="${r}" varStatus="cLoop">
                                                                                                    <c:choose>
                                                                                                        <c:when test="${cLoop.index == 0}">
                                                                                                            <td style="text-align: left">${c}</td>
                                                                                                        </c:when>
                                                                                                        <c:otherwise>
                                                                                                            <td style="text-align: right">${c}</td>
                                                                                                        </c:otherwise>
                                                                                                    </c:choose>
                                                                                                </c:forEach>                                                                                                      
                                                                                            </tr>                                                                                            
                                                                                        </c:when>
                                                                                        <c:otherwise>
                                                                                            <tr id="hor-minimalist-b">
                                                                                                <c:forEach var="c" items="${r}" varStatus="cLoop">
                                                                                                    <c:choose>
                                                                                                        <c:when test="${cLoop.index == 0}">
                                                                                                            <td style="text-align: left">${c}</td>
                                                                                                        </c:when>
                                                                                                        <c:otherwise>
                                                                                                            <td style="text-align: right">${c}</td>
                                                                                                        </c:otherwise>
                                                                                                    </c:choose>
                                                                                                </c:forEach>                                                                                                      
                                                                                            </tr>                                                                                            
                                                                                        </c:otherwise>
                                                                                    </c:choose>        
                                                                                </c:forEach>
                                                                            </table>
                                                                        </c:when>
                                                                        <c:otherwise>
                                                                            No records were found.
                                                                        </c:otherwise>
                                                                    </c:choose>
                                                                </td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                    <!-- END: REPORT RESULTS -->
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <!-- START: PAGE FOOTER -->
                        <%@include file="footer.jspf" %>
                        <!-- END: PAGE FOOTER -->
                        <!-- END: PAGE CONTENT -->
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>