<%--
    Document   : Patient Discovery Report
    Created By : 
    Modified By: 
--%>


<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
        <head>
        <title>Veterans Authorization & Preferences Patient Search Results</title>
        <%@include file="metaCommon.jspf" %>
        </head>
<body>
<%@include file="header.jspf" %>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
    	<tr>
			<%@include file="leftMenu.jspf" %>
            <td id="content-va">
                <a name="content-area"></a>
                <!-- START: SITE NAME BAR -->
                <p class="title-bar"><!-- START: SITE NAME -->Patient Search Results<!-- END: SITE NAME --></p>
                <cpp:errors />
                <!-- END: SITE NAME BAR -->
                <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                    <tbody>
                        <tr>
                            <td id="content-main">
                              <table SUMMARY="This table is for formatting purposes only.">
                              <tbody>
                               <c:choose>
	                               <c:when test="${!empty patients}">
	                                <tr>
	                                  <td id="content-page-content-title" width="100%"><font id="content-page-title-font">The search for patient returned multiple results. Please select a patient from the results.</font></td>
	                                </tr>
	                                </c:when>
	                                <c:otherwise>
	                                <tr>
	                                  <td id="content-page-content-title" width="100%"><font id="content-page-title-font">The search for patient returned no results.</font></td>
	                                </tr>
	                                </c:otherwise>
                               </c:choose>
                                <tr>
                                    <td>
                                        <!-- START: PAGE TITLE AREA -->
                                        <!-- END: PAGE TITLE AREA -->
                                        <div class="form-container">
                                            <c:choose>
                                                <c:when test="${!empty patients}">
                                                    <form action="PatientDiscoveryReportPatientSearchResults.do_sec" method="POST"
                                                        onsubmit="return doSubmit(this)">
                                                        <fieldset>
                                                            <legend>Patient Search Results</legend>
                                                            <table id="ver-minimalist">
                                                                <thead>
                                                                    <tr>
                                                                        <th scope="col">Select Patient</th>
                                                                        <th scope="col">Last Name</th>
                                                                        <th scope="col">First Name</th>
                                                                        <th scope="col">Middle Name</th>
                                                                        <th scope="col">SSN</th>
                                                                        <th scope="col">Date of Birth</th>
                                                                        <th scope="col">Gender</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <c:choose>
                                                                        <c:when test="${i.index % 2 == 0}">
                                                                            <c:set var="className" value="even" />
                                                                        </c:when>
                                                                        <c:otherwise>
                                                                            <c:set var="className" value="odd" />
                                                                        </c:otherwise>
                                                                    </c:choose>
                                                                    <c:forEach var="r" items="${patients}" varStatus="i">
                                                                        <tr class="${className}">
                                                                            <td><input alt="Choose to select patient" name="icn" value="${r.icn}" type="radio" />
                                                                            </td>
                                                                            <td>${r.lastName}</td>
                                                                            <td>${r.firstName}</td>
                                                                            <td>${r.middleInitial}</td>
                                                                            <td>${r.ssnMasked}</td>
                                                                            <td><fmt:formatDate pattern="MM/dd/yyyy" value="${r.dob}" />
                                                                            </td>
                                                                            <td>${r.gender}</td>
                                                                        </tr>
                                                                    </c:forEach>
                                                                </tbody>
                                                            </table>
                                                        </fieldset>
                                                        <div class="buttonrow">
                                                            <input name="select" alt="View Details" class="button" type="submit"
                                                                value="View Details" />
                                                        </div>
                                                    </form>
                                                </c:when>
                                                <c:otherwise>
                                                    <p>No patients were found.</p>
                                                </c:otherwise>
                                            </c:choose>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                            </table>
                            <!-- START: PAGE CONTENT -->
                            <!-- THE BODY CONTENT END -->
                            </td>
                        </tr>
                    </tbody>
                </table>
                <!-- START: PAGE FOOTER -->
                <%@include file="footer.jspf" %>
                <!-- END: PAGE FOOTER -->
                <!-- END: PAGE CONTENT -->
            </td>
        </tr>
    </tbody>
</table>
</body>
</html>