﻿<%--
    Document   : Patient Discovery Report
    Created By : 
    Modified By: 
--%>


<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page errorPage="error.jsp" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
    <head>
        <title>Veterans Authorization & Preferences Patient Discovery
            Audit Report Results</title>
            <%@include file="metaCommon.jspf"%>
    </head>
    <body>
        <%@include file="header.jspf"%>
        <%@include file="patientLinkForm.jspf"%>
        <table border="0" cellpadding="0" cellspacing="0" width="100%"
               summary="table is used for layout purposes" id="main-content-table">
            <tbody>
                <tr>
                    <%@include file="leftMenu.jspf"%>
                    <td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
                        <p class="title-bar">
                            <!-- START: SITE NAME -->
                            Patient Discovery Audit Report
                            <!-- END: SITE NAME -->
                        </p> <cpp:errors /> <!-- END: SITE NAME BAR -->
                        <table border="0" cellpadding="0" cellspacing="0" width="100%"
                               summary="table is used for layout purposes">
                            <tbody>
                                <tr>
                                    <td id="content-main">
                                        <table width="100%"
                                               summary="This table is used for layout purposes">
                                            <!-- START: PAGE TITLE AREA -->
                                            <!-- END: PAGE TITLE AREA -->
                                            <tr>
                                                <td>
                                                    <!-- START: PAGE CONTENT -->
                                                    <table SUMMARY="This table is for formatting purposes only.">
                                                        <tbody>
                                                            <tr>
                                                                <td>
                                                                    <table id="ver-minimalist">
                                                                        <tbody>
                                                                            <!-- uncomment the below and corresponding java method to re-enable excel exporting -->
                                                                                <tr> <a href="PatientDiscoveryReportResults.do_sec?exportToExcel=true">
                                                                                    <input name="exportToExcel" alt="Export to Excel" class="button" type="submit"
                                                                                        value="Export to Excel" onclick="flashWarning();" /></a></tr>
                                                                            <tr>
                                                                                <td>Start Date</td>
                                                                                <td><c:choose>
                                                                                        <c:when
                                                                                            test="${!empty patientDiscoveryQueryStartDate}">
                                                                                            <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                                            value="${patientDiscoveryQueryStartDate}" />
                                                                                        </c:when>
                                                                                        <c:otherwise>
                                                                                            N/A
                                                                                        </c:otherwise>
                                                                                    </c:choose>
                                                                                </td>
                                                                                <td>End Date</td>
                                                                                <td><c:choose>
                                                                                        <c:when
                                                                                            test="${!empty patientDiscoveryQueryEndDate}">
                                                                                            <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                                            value="${patientDiscoveryQueryEndDate}" />
                                                                                        </c:when>
                                                                                        <c:otherwise>
                                                                                            N/A
                                                                                        </c:otherwise>
                                                                                    </c:choose>
                                                                                </td>
                                                                                <td>MPI Results</td>
                                                                                <td><c:choose>
                                                                                        <c:when test="${!empty patientDiscoveryMPIResults}">
                                                                                            ${patientDiscoveryMPIResults}
                                                                                        </c:when>
                                                                                        <c:otherwise>
                                                                                            N/A
                                                                                        </c:otherwise>
                                                                                    </c:choose>
                                                                                </td>
                                                                            </tr>
                                                                        </tbody>
                                                                    </table> 
                                                                    <hr>
                                                                    <c:choose>
                                                                        <c:when test="${!empty patientDiscoveryResults}">
                                                                            <br />
                                                                            <pg:paginator paginator="${paginator}"
                                                                                          uri="PatientDiscoveryReportResults.do_sec"
                                                                                          results="${patientDiscoveryResults}" />
                                                                            <table>
                                                                                <thead>
                                                                                    <tr id="hor-minimalist-c">
                                                                                        <th scope="col">Date Received</th>
                                                                                        <th scope="col">SSN</th>
                                                                                        <th scope="col">Patient Last Name</th>
                                                                                        <th scope="col">Patient First Name</th>
                                                                                        <th scope="col">Patient Middle Name</th>
                                                                                        <th scope="col">Sender</th>
                                                                                        <th scope="col">Purpose of Use</th>
                                                                                        <th scope="col">Receiver</th>
                                                                                        <th scope="col">Message</th>
                                                                                        <th scope="col">Explanation of Failure</th>
                                                                                        <th scope="col">Details</th>
                                                                                    </tr>
                                                                                    <tr id="hor-minimalist-c">
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=auditTime&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=auditTime&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientSSN&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientSSN&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientLastName&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientLastName&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientGivenName&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientGivenName&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientMiddleName&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=patientMiddleName&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=organizationName&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=organizationName&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=purposeForUse&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=purposeForUse&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=remoteOrganizationName&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=remoteOrganizationName&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=action&patientDiscoverySortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="PatientDiscoveryReportResults.do_sec?patientDiscoverySortValue=action&patientDiscoverySortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                        <td scope="col"></td>
                                                                                        <td scope="col"></td>
                                                                                    </tr>
                                                                                </thead>
                                                                                <tbody>
                                                                                    <c:set var="displayedMessages" value="0" scope="page" />
                                                                                    
                                                                                    <pg:forEach var="r"
                                                                                                items="${patientDiscoveryResults}" varStatus="i"
                                                                                                paginator="${paginator}">
                                                                                        <c:if test="${(i.count <= paginator.recordsPerPage || paginator.recordsPerPage < 0)&& r.ssnMasked != ''}">
                                                                                        <tr id="hor-minimalist-b">
                                                                                            <td><fmt:formatDate
                                                                                                    pattern="MM/dd/yyyy hh:mm a"
                                                                                                    value="${r.auditTime}" />
                                                                                            </td>
                                                                                            <td nowrap><%@include file="patientLink.jspf"%></td>
                                                                                            <td>${r.lastName}</td>
                                                                                            <td>${r.firstName}</td>
                                                                                            <td>${r.middleName}</td>
                                                                                            <td>${r.facility}</td> <!-- sender -->
                                                                                            <td>${r.purposeOfUse}</td>
                                                                                            <td>${r.remoteFacility}</td> <!-- receiver -->
                                                                                            <td>${r.message}</td>
                                                                                            <td>${r.failureExplanation}</td>
                                                                                            <td>${r.details}</td>
                                                                                        </tr>
                                                                                        <c:set var="displayedMessages" value="${displayedMessages + 1}" scope="page"/>
                                                                                        </c:if>
                                                                                    </pg:forEach>
                                                                                    <c:if test="${paginator.recordsPerPage == testPatientMessages && displayedMessages == 0}">
                                                                                        All records were excluded from this page.
                                                                                    </c:if>
                                                                                </tbody>
                                                                            </table>
                                                                            <pg:paginator paginator="${paginator}"
                                                                                          uri="PatientDiscoveryReportResults.do_sec"
                                                                                          results="${patientDiscoveryResults}" />
                                                                        </c:when>
                                                                        <c:otherwise>
                                                                            No records were found.
                                                                        </c:otherwise>
                                                                    </c:choose>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                        <table id="ver-minimalist">
                                                            <tbody>
                                                            <col style="width:20%">
                                                            <col style="width:30%">
                                                            <col style="width:20%">
                                                            <col style="width:30%">
                                                            <tr>
                                                                <td>
                                                                    <b>Unique<c:if test="${testPatients}"> real</c:if> patients:</b>
                                                                </td>
                                                                <td>
                                                                    ${uniqueRealPatients}
                                                                </td>
                                                                <c:if test="${testPatients}">
                                                                    <td>
                                                                        <b>Unique test patients:</b>
                                                                    </td>
                                                                    <td>
                                                                        ${uniqueTestPatients}
                                                                    </td>
                                                                </c:if>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <b>Total messages<c:if test="${testPatients}"> for real patients</c:if>:</b>
                                                                </td>
                                                                <td>
                                                                    ${realPatientMessages}
                                                                </td>
                                                                <c:if test="${testPatients}">
                                                                    <td>
                                                                        <b>Total messages for test patients:</b>
                                                                    </td>
                                                                    <td>
                                                                        ${testPatientMessages}
                                                                    </td>
                                                                </c:if>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <b>Match failures<c:if test="${testPatients}"> for real patients</c:if>:</b>
                                                                </td>
                                                                <td>
                                                                    ${realPatientFails}
                                                                </td>
                                                                <c:if test="${testPatients}">
                                                                    <td>
                                                                        <b>Match failures for test patients:</b>
                                                                    </td>
                                                                    <td>
                                                                        ${testPatientFails}
                                                                    </td>
                                                                </c:if>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <b>Matches found<c:if test="${testPatients}"> for real patients</c:if>:</b>
                                                                </td>
                                                                <td>
                                                                    ${realPatientMatches}
                                                                </td>
                                                                <c:if test="${testPatients}">
                                                                    <td>
                                                                        <b>Matches found for test patients:</b>
                                                                    </td>
                                                                    <td>
                                                                        ${testPatientMatches}
                                                                    </td>
                                                                </c:if>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                            </tr>
                            </tbody>
                        </table> <!-- THE BODY CONTENT END -->
                    </td>
                </tr>
        </table>
    </td>
</tr>
</tbody>
</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jspf"%>
<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
</td>
</tr>
</tbody>
</table>
</body>
<%@include file="slideoutWarning.jspf" %>
</html>